package com.alpha.lagouapk.bean.resume

import android.os.Parcel
import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

data class ResumeAiConfig(
    val enable: Boolean,
    val limitTimes: Int,
    val reason: String?
) : Parcelable {
    constructor(parcel: Parcel) : this(
        parcel.readByte() != 0.toByte(),
        parcel.readInt(),
        parcel.readString()
    ) {
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeByte(if (enable) 1 else 0)
        parcel.writeInt(limitTimes)
        parcel.writeString(reason)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<ResumeAiConfig> {
        override fun createFromParcel(parcel: Parcel): ResumeAiConfig {
            return ResumeAiConfig(parcel)
        }

        override fun newArray(size: Int): Array<ResumeAiConfig?> {
            return arrayOfNulls(size)
        }
    }
}
