package com.alpha.lagouapk.bean.resume

import com.common.bean.BaseAiResponse
import com.lagou.lagouee.bean.jsonbean.aigc.AIGCReleaseRes
import com.lagou.socketchannel.http.event.HttpEventResponse

/**
 * 简历Ai响应
 */
class ResumeAiResponse: BaseAiResponse() {
    companion object{
        /**
         * 生成类型
         */
        const val GENERATE_TYPE = 1

        /***
         * 范例
         */
        const val EXAMPLE_TYPE = 2

        /***
         * 用户输入类型
         */
        const val INPUT_TYPE = 3

        /***x
         * 异常类型
         */
        const val EXCEPTION_TYPE = 4

        /**
         * 请求中
         */
        const val LOADING_TYPE = 5

        /**
         * 换个ai帮我写简历
         */
        const val CHANGE_AI_TYPE = 6

        /***
         * 每次全量返回，最后一包是完整
         */
        const val COMPLETE = 1

        /***
         * 每次增量返回，所有包内容拼接是完整
         */
        const val APPEND = 0
    }

    /**
     * 剩余次数
     */
    var leftCount:Int = 0

    /**
     * 最大次数
     */
    var maxCount:Int = 0

    /**
     * 换个AI是否已点击
     */
    var isChangedAI = false

    override fun equals(o: Any?): Boolean {
        if (this === o) return true
        if (o == null || javaClass != o.javaClass) return false
        val that = o as ResumeAiResponse
        return id == that.id
    }

    /***
     * 针对AIGC生成文本
     * 根据code码，返回对应的输出类型，主要是生成类型、异常类型
     * @return
     */
    fun uponCodeType(): Int {
        if (HttpEventResponse.State.SUCCESS == code || HttpEventResponse.State.FINISH == code) {
            return GENERATE_TYPE
        } else {
            return EXCEPTION_TYPE
        }
    }
}