package com.alpha.lagouapk.ui.chat.item

import android.content.Context
import android.view.View
import android.widget.TextView
import com.ApiService
import com.alpha.lagouapk.R
import com.common.bean.QuestionsAndAnswersBean
import com.common.chat.item.base.ChatItem
import com.common.ui.question_answer.CheckAnswerDialog
import com.lagou.annotation.aspect.SingleClick
import com.lagou.baselib.BaseActivity
import com.lagou.baselib.net.httpnetback.BaseCallback
import com.lagou.chat.chatlibrary.bean.json.MsgPositionQuestion
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.socketchannel.http.HttpRequest
import com.lagou.socketchannel.http.HttpResponse
import com.lagou.socketchannel.util.GsonUtil

/**
 * B端显示职位问答答题进度
 */
class PositionQuestionAnswerProgress(context: Context):ChatItem(context) {
    private lateinit var tvProgress:TextView
    private lateinit var tvToSee:TextView
    private var mAskPaperId:Int = 0
    override fun initView() {
        mDate = findViewById(R.id.chat_item_date)
        tvProgress = findViewById(R.id.tv_answer_progress)
        tvToSee = findViewById(R.id.tv_see_answer)
        tvToSee.setOnClickListener(this)
    }

    override fun updateView() {
        val msgPositionQuestion: MsgPositionQuestion? = GsonUtil.fromJson(mChatMsg?.content, MsgPositionQuestion::class.java)
        if (msgPositionQuestion == null) {
            visibility = View.GONE
            return
        }
        mAskPaperId = msgPositionQuestion.askPaperId
        visibility = View.VISIBLE
        tvProgress.text = ResourceUtils.getString(R.string.question_answer_progress,msgPositionQuestion.questionNum,msgPositionQuestion.answeredNum)
    }

    override fun getLayoutId(): Int = R.layout.item_chat_question_answer_progress
    @SingleClick
    override fun onClick(v: View?) {
        super.onClick(v)
        when(v?.id){
            R.id.tv_see_answer -> {
                if (mContext is BaseActivity){
                    ApiService.api.fetchQuestionsAndAnswers(mAskPaperId).enqueue(object: BaseCallback<QuestionsAndAnswersBean>(){
                        override fun onSuccess(request: HttpRequest<*>?, response: HttpResponse<QuestionsAndAnswersBean>?) {
                            if ((mContext as BaseActivity).isActivityEnable){
                                CheckAnswerDialog.getInstance(response?.content).show((mContext as BaseActivity).supportFragmentManager)
                            }
                        }
                    })

                }
            }
        }
    }
}