package com.alpha.lagouapk.ui.chat.item

import android.content.Context
import android.view.View
import android.widget.ImageView
import android.widget.TextView
import com.alpha.lagouapk.R
import com.common.chat.activity.ChatActivityBase
import com.common.chat.item.base.ChatItem
import com.common.ui.question_answer.QuestionAnswerIntroDialog
import com.lagou.chat.chatlibrary.bean.json.MsgPositionQuestion
import com.lagou.socketchannel.util.GsonUtil

class PositionQuestionItemB(context: Context):ChatItem(context) {
    private lateinit var tvQuestionName:TextView
    private lateinit var ivExplain:ImageView
    override fun initView() {
        mDate = findViewById(R.id.chat_item_date)
        mAvatar = findViewById(R.id.chat_item_avatar)
        tvQuestionName = findViewById(R.id.tv_question_name)
        ivExplain = findViewById(R.id.iv_position_question_explain)
        ivExplain.setOnClickListener(this)
    }

    override fun updateView() {
        val msgPositionQuestion: MsgPositionQuestion? = GsonUtil.fromJson(mChatMsg?.content, MsgPositionQuestion::class.java)
        if (msgPositionQuestion == null) {
            visibility = View.GONE
            return
        }
        visibility = View.VISIBLE
        tvQuestionName.text = msgPositionQuestion.content
    }

    override fun getLayoutId(): Int = R.layout.item_chat_b_position_question

    override fun onClick(v: View?) {
        super.onClick(v)
        when(v?.id){
            R.id.iv_position_question_explain -> {
                if (mContext is ChatActivityBase){
                    QuestionAnswerIntroDialog.getInstance(positionId = (mContext as ChatActivityBase).positionId, sessionId = (mContext as ChatActivityBase).serverSessionId).show((mContext as ChatActivityBase).supportFragmentManager)
                }
            }
        }
    }
}