package com.alpha.lagouapk.ui.chat.item

import android.content.Context
import android.view.View
import android.widget.LinearLayout
import android.widget.TextView
import com.ApiService
import com.alpha.lagouapk.R
import com.common.bean.QuestionsAndAnswersBean
import com.common.chat.activity.ChatActivityBase
import com.common.chat.item.base.BaseStatusChatItem
import com.common.ui.question_answer.QuestionAnswerIntroDialog
import com.common.ui.question_answer.ToAnswerDialog
import com.lagou.baselib.BaseActivity
import com.lagou.baselib.net.httpnetback.BaseCallback
import com.lagou.chat.chatlibrary.bean.json.MsgPositionQuestion
import com.lagou.commonlibs.utils.InputMethodUtil
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.socketchannel.http.HttpRequest
import com.lagou.socketchannel.http.HttpResponse
import com.lagou.socketchannel.util.GsonUtil

class PositionQuestionItemC(context: Context):BaseStatusChatItem(context) {
    private lateinit var tvTitle:TextView
    private lateinit var tvQuestionName:TextView
    private lateinit var tvToAnswer:TextView
    private lateinit var rootView: LinearLayout
    private var mQuestionNum = 0
    private var mAnsweredNum = 0
    private var mAskPaperId:Int = 0
    override fun initView() {
        mDate = findViewById(R.id.chat_item_date)
        mAvatar = findViewById(R.id.chat_item_avatar)
        tvTitle = findViewById(R.id.tv_position_question_title)
        tvQuestionName = findViewById(R.id.tv_question_name)
        tvToAnswer = findViewById(R.id.tv_to_answer)
        rootView = findViewById(R.id.ll_position_question_root)
        tvTitle.setOnClickListener(this)
        tvToAnswer.setOnClickListener(this)
    }

    override fun isShouldFetchNewestMsg(): Boolean {
        if (mChatMsg == null) {
            return false
        }
        val msgPositionQuestion: MsgPositionQuestion? = GsonUtil.fromJson(mChatMsg?.content, MsgPositionQuestion::class.java)
        return msgPositionQuestion != null && msgPositionQuestion.answeredNum < msgPositionQuestion.questionNum
    }

    override fun updateUI() {
        val msgPositionQuestion: MsgPositionQuestion? =
            GsonUtil.fromJson(mChatMsg?.content, MsgPositionQuestion::class.java)
        if (msgPositionQuestion == null) {
            visibility = View.GONE
            return
        }
        mQuestionNum = msgPositionQuestion.questionNum
        mAnsweredNum = msgPositionQuestion.answeredNum
        mAskPaperId = msgPositionQuestion.askPaperId
        visibility = View.VISIBLE
        tvQuestionName.text = msgPositionQuestion.content
        var toAnswerText:String?
        if (mAnsweredNum > 0){
            toAnswerText = if (mQuestionNum == 1) ResourceUtils.getString(R.string.answered) else ResourceUtils.getString(R.string.answering,mAnsweredNum,mQuestionNum)
        }else{
            toAnswerText = if (mQuestionNum == 1) ResourceUtils.getString(R.string.now_answer) else ResourceUtils.getString(R.string.question_answer_intro_action_c,mAnsweredNum,mQuestionNum)
        }
        tvToAnswer.text = toAnswerText
    }

    override fun getLayoutId(): Int = R.layout.item_chat_c_position_question

    override fun onClick(v: View?) {
        super.onClick(v)
        when(v?.id){
            R.id.tv_to_answer -> {
              if (mContext is BaseActivity){
                  InputMethodUtil.hideSystemKeyBoard(mContext,rootView)
                  ApiService.api.fetchQuestionsAndAnswers(mAskPaperId)
                      .enqueue(object : BaseCallback<QuestionsAndAnswersBean?>() {
                          override fun onSuccess(request: HttpRequest<*>?, response: HttpResponse<QuestionsAndAnswersBean?>?) {
                              if ((mContext as BaseActivity).isActivityDestroyed){
                                  return
                              }
                              ToAnswerDialog.getInstance(response?.content,mAskPaperId,mChatMsg.serverMsgId).show((mContext as BaseActivity).supportFragmentManager)
                          }
                      })
              }
            }
            R.id.tv_position_question_title -> {
                InputMethodUtil.hideSystemKeyBoard(mContext,rootView)
                if (mContext is ChatActivityBase){
                    QuestionAnswerIntroDialog.getInstance(mAnsweredNum,mQuestionNum, chatMsgId = mChatMsg.serverMsgId, askPaperId = mAskPaperId).show((mContext as ChatActivityBase).supportFragmentManager)
                }
            }
        }
    }
}