package com.alpha.lagouapk.ui.chat.session

import android.content.Context
import android.view.View
import com.alpha.lagouapk.R
import com.common.chat.SessionListShownUtils
import com.lagou.chat.chatlibrary.bean.ConversationBean
import com.lagou.commonlibs.imageload.ImageLoadUtils
import com.lagou.commonlibs.utils.DateUtils
import com.lagou.commonlibs.utils.GlideUtil
import kotlinx.android.synthetic.main.item_session_offline_assistant_lucy.view.*

/**
 * @author 作者：ryan.lei
 * @date 创建时间：2022/3/7 17:59
 * @Description 描述：求职推荐官Lucy session view
 **/
class OfflineAssistantLucyView(context: Context) : BaseSessionView(context) {
    override fun getContentLayoutId(): Int =
        R.layout.item_session_offline_assistant_lucy

    override fun bindData(bean: ConversationBean?, isLast: Boolean) {
        if (bean == null) {
            visibility = View.GONE
            return
        }
        visibility = View.VISIBLE
        setTvAutoShowByText(tvTitleFirst, bean.titleFirst)
        setUnReadRedDot(ivUnreadCount, bean.unReadCount)
        if (GlideUtil.isValidContextForGlide(mContext)) {
            ImageLoadUtils.with(mContext)
                .load(bean.icon)
                .dontAnimate()
                .placeholder(R.drawable.public_img_portrait)
                .error(R.drawable.public_img_portrait)
                .into(conversationLogo)
            SessionListShownUtils.setLastMessage(bean, mTvLastMessage)
            mTvTopAction.text =
                mContext.resources.getString(if (bean.isTop) R.string.message_list_unpin else R.string.message_list_pin)
        }
        setTvAutoShowByText(tvMessageListItemTime, DateUtils.getMessageTimeV2(bean.time))
        contentViewContainer.setBackgroundResource(if (bean.isTop) R.color.color_f7fdfc else R.drawable.item_list_click_bg)
        viewDividerBottom.visibility = if (isLast) GONE else VISIBLE
    }

    override fun isShowDeleteAction(): Boolean = false
}