package com.alpha.lagouapk.ui.dialog
import android.view.View
import com.ApiService
import com.alpha.lagouapk.R
import com.common.inter.Callback
import com.lagou.commonlibs.ui.dialog.BaseBottomSheetDialogFragment
import kotlinx.android.synthetic.main.dialog_51_position_deliver_auth.*

/**
 * 授权51投递弹窗
 */
class Auth51PositionDeliverDialog:BaseBottomSheetDialogFragment(),View.OnClickListener {

    companion object {
        @JvmStatic
        fun getInstance(): Auth51PositionDeliverDialog {
            return Auth51PositionDeliverDialog()
        }
    }

    override fun getLayoutId(): Int = R.layout.dialog_51_position_deliver_auth

    override fun initListener() {
        super.initListener()
        ivDeliverAuthClose.setOnClickListener(this)
        ivDeliverAuthSelect.setOnClickListener(this)
        btnSendResume.setOnClickListener(this)
    }

    override fun onClick(v: View?) {
        super.onClick(v)
        when(v?.id){
            R.id.ivDeliverAuthClose -> dismiss()
            R.id.ivDeliverAuthSelect ->{
                ivDeliverAuthSelect.setImageResource(if (ivDeliverAuthSelect.isSelected) R.drawable.check_ic_default_32 else R.drawable.check_ic_click_32)
                ivDeliverAuthSelect.isSelected = ivDeliverAuthSelect.isSelected.not()
            }
            R.id.btnSendResume ->{
                if (ivDeliverAuthSelect.isSelected){
                    ApiService.api.auth51Position(1).enqueue()
                }
                onDeliverListener?.onDeliver()
                dismiss()
            }
        }
    }
    private var onDeliverListener:OnDeliverListener? = null
    public fun setDeliverCallback(listener:OnDeliverListener?):Auth51PositionDeliverDialog{
        this.onDeliverListener = listener
        return this
    }

    interface OnDeliverListener{
        fun onDeliver()
    }
}