package com.alpha.lagouapk.ui.dialog

import android.os.Bundle
import android.view.View
import com.alpha.lagouapk.LagouApplication
import com.alpha.lagouapk.R
import com.alpha.lagouapk.tools.IntentUtils
import com.alpha.lagouapk.tools.NotificationUtils
import com.alpha.lagouapk.tools.SPUtils
import com.common.utils.ViewUtils
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.commonlibs.ui.dialog.BaseBottomSheetDialogFragment
import kotlinx.android.synthetic.main.dialog_notice_open_set.iv_head_icon
import kotlinx.android.synthetic.main.dialog_notice_open_set.iv_notice_close
import kotlinx.android.synthetic.main.dialog_notice_open_set.tv_msg_content
import kotlinx.android.synthetic.main.dialog_notice_open_set.tv_notice_open
import kotlinx.android.synthetic.main.dialog_notice_open_set.tv_notice_sub_title

class NoticeOpenDialog: BaseBottomSheetDialogFragment() {
    private var scene:String? = null
    companion object {
        private const val KEY_NOTICE_OPEN_DIALOG_SCENE = "key_notice_open_dialog_scene"
        const val SCENE_HOME_PAGE = "home_message_open"//首页
        const val SCENE_IM_PAGE = "im_message_open"//聊天列表页

        @JvmStatic
        fun getInstance(scene:String?): NoticeOpenDialog {
            val dialog = NoticeOpenDialog()
            val bundle: Bundle = Bundle()
            bundle.putString(KEY_NOTICE_OPEN_DIALOG_SCENE,scene)
            dialog.arguments = bundle
            return dialog
        }
    }

    override fun initConfigAtCreate() {
        super.initConfigAtCreate()
        scene = arguments?.getString(KEY_NOTICE_OPEN_DIALOG_SCENE)
    }

    override fun getLayoutId(): Int = R.layout.dialog_notice_open_set

    override fun onClick(v: View?) {
        super.onClick(v)
        when(v?.id){
            R.id.iv_notice_close -> dismiss()
            R.id.tv_notice_open ->{
                if (scene == SCENE_HOME_PAGE){
                    AnalyticHelper.getInstance().sendClickInfo("h1ubb","j1ubd")
                }else if (scene == SCENE_IM_PAGE){
                    AnalyticHelper.getInstance().sendClickInfo("i1ubc","k1ube")
                }

                if (!NotificationUtils.isNotificationEnabled(LagouApplication.getLagouApplication())){
                    //系统设置关闭&&APP开启--跳转系统设置
                    IntentUtils.startPushSettingPage(activity)
                }else{
                    //非设置页面的弹窗都需要先跳转至设置页面
                    IntentUtils.startPushSet(activity,scene)
                }
                dismiss()
            }
        }
    }

    override fun fillUI() {
        super.fillUI()
        ViewUtils.setViewsClick(this,iv_notice_close,tv_notice_open)
        if (scene == SCENE_HOME_PAGE){
            tv_notice_sub_title.text = "第一时间查看新发职位信息"
            tv_msg_content.text = "有公司HR5秒前新发了一个新职位，和您匹配度高达80%！快去看看～～"
            iv_head_icon.setImageResource(R.drawable.news_head_female)
        }else if (scene == SCENE_IM_PAGE){
            tv_notice_sub_title.text = "避免错过HR的新消息和投递通知等"
            tv_msg_content.text = "hi，看了您的工作经历，和我们的岗位非常匹配，想邀请您投递一份简历！"
            iv_head_icon.setImageResource(R.drawable.news_head_man)
        }
    }

    override fun isDraggable() = false
}