package com.alpha.lagouapk.ui.dialog

import android.os.Bundle
import android.view.View
import androidx.fragment.app.FragmentManager
import com.alpha.lagouapk.R
import com.alpha.lagouapk.tools.IntentUtils
import com.alpha.lagouapk.ui.resume.ai.ResumeAiGenActivity.Companion.DEFAULT_MAX_SEND_COUNT
import com.common.utils.ViewUtils
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.commonlibs.imageload.ImageLoadUtils
import com.lagou.commonlibs.utils.DeviceUtils
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.component.ui.dialog.LgBaseDialog
import kotlinx.android.synthetic.main.dialog_resume_ai_enter.*

/**
 * 简历Ai入口弹窗
 */
class ResumeAiEnterDialog :LgBaseDialog(), View.OnClickListener{
    private var onJump:(()-> Unit)? = null
    companion object{
        const val KEY_LIMIT_SEND_COUNT = "key_limit_send_count"
        @JvmStatic
        fun getInstance(limitSendCount:Int,onJump:(()-> Unit)?): ResumeAiEnterDialog {
            val dialog = ResumeAiEnterDialog()
            val bundle = Bundle()
            bundle.putInt(KEY_LIMIT_SEND_COUNT,limitSendCount)
            dialog.onJump = onJump
            dialog.arguments = bundle
            return dialog
        }
    }

    override fun getLayoutId() = R.layout.dialog_resume_ai_enter
    override fun initView(view: View) {
        super.initView(view)
        ViewUtils.setViewsClick(this,mIvClose,tv_resume_ai_enter,tv_resume_ai_enter_jump)
    }

    override fun getWidth(): Int = DeviceUtils.getScreenWidth() - ResourceUtils.getDimenSize(R.dimen.dp_35) * 2

    override fun fillUI() {
        context?.let {
            ImageLoadUtils.with(it).load(R.drawable.aipopup_bg).into(iv_resume_ai_enter)
            AnalyticHelper.getInstance().sendShowInfo("f1uew","f1uew")
        }
    }

    override fun isCanceledOnTouchOutside() = false

    override fun onClick(v: View?) {
        when(v?.id){
            R.id.tv_resume_ai_enter -> {
                IntentUtils.startResumeAiGenActivity(context,arguments?.getInt(KEY_LIMIT_SEND_COUNT) ?: DEFAULT_MAX_SEND_COUNT)
                dismiss()
            }
            R.id.tv_resume_ai_enter_jump,R.id.mIvClose ->{
                onJump?.invoke()
                dismiss()
            }

        }
    }
}