package com.alpha.lagouapk.ui.home.chushai

import android.content.Context
import android.graphics.Color
import android.util.AttributeSet
import android.view.MotionEvent
import android.view.View
import android.widget.FrameLayout
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.ChuShaiPositionCardBean
import com.alpha.lagouapk.tools.IntentUtils
import com.alpha.lagouapk.ui.position.PositionDetailActivity
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.analytic.bean.json.ClickInfo
import com.lagou.commonlibs.imageload.ImageLoadUtils
import com.lagou.commonlibs.utils.BaseUtils
import com.lagou.commonlibs.utils.StringUtil
import com.lagou.commonlibs.utils.TextViewUtils
import com.lagou.lagouee.utils.DataServer
import kotlinx.android.synthetic.main.chushai_card.view.*
import kotlin.math.abs


/**
 * 初筛卡片
 */
class ChuShaiCard @JvmOverloads constructor(context: Context, attributeSet: AttributeSet? = null, defStyleAttr: Int = 0) : FrameLayout(context, attributeSet, defStyleAttr){
    private var mCurrentPositionId:Int = 0
    private var isScrolled:Boolean = false

    init {
        inflate(context, R.layout.chushai_card,this)
    }

    fun setData(positionBean: ChuShaiPositionCardBean?):ChuShaiCard{
        if (positionBean == null){
            visibility = View.GONE
            return this
        }
        mCurrentPositionId = positionBean.positionId
        visibility = View.VISIBLE
        TextViewUtils.setGradientText(tvInviteTitle,Color.parseColor("#E2A758"),Color.parseColor("#B0590E"),0,tvInviteTitle.text.length)
        ImageLoadUtils.with(context).load(R.drawable.default_boy_headpic1).into(ivHrAvatar)
        tvCompanyName.text = positionBean.companyFullName
        tvHrName.text = "招聘Hr${positionBean?.hrCardVo?.hrName ?: ""}向你发出意向邀请"
        tvPositionName.text = positionBean.positionName
        tvSalary.text = DataServer.getSalaryText(positionBean.salary,positionBean.salaryMonth)
        flPositionLabel.setLabels(StringUtil.jointString("·",positionBean.city,positionBean.district),positionBean.workYear,positionBean.education)
        tvPositionDesc.text = BaseUtils.getRichText(positionBean.positionDetail)
        setOnTouchListener(object : OnTouchListener {
            var startX = 0f
            var startY = 0f
            override fun onTouch(v: View?, event: MotionEvent?): Boolean {
                when(event?.action){
                    MotionEvent.ACTION_DOWN ->{
                        startX = event.x
                        startY = event.y
                    }
                    MotionEvent.ACTION_MOVE ->{
                        val dx = abs(event.x - startX)
                        val dy = abs(event.y - startY)
                        if (dx > 10 || dy > 10) {
                            isScrolled = true
                        }
                    }
                    MotionEvent.ACTION_UP ->{
                        if (!isScrolled) {
                            AnalyticHelper.getInstance().sendClickInfo(ClickInfo().setPage_id("ea00").setAddress_id("w1ucf").setContent_id(positionBean.positionId))
                            IntentUtils.startPositionDetailActivity(context,positionBean.positionId.toLong(),PositionDetailActivity.SOURCE.HOME_DIALOG_CHU_SHAI_BAO)
                        }
                        isScrolled = false
                    }
                }
                return true
            }
        })
        return this
    }
    fun getPositionId() = mCurrentPositionId
}