package com.alpha.lagouapk.ui.home.promotion

import android.content.Context
import android.graphics.Bitmap
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.RelativeLayout
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.AdInfoBean
import com.lagou.commonlibs.imageload.ImageLoadUtils
import com.lagou.commonlibs.imageload.inter.ALoadImgListener
import com.lagou.commonlibs.utils.DeviceUtils
import com.lagou.commonlibs.utils.ResourceUtils
import kotlinx.android.synthetic.main.layout_promotion_ad_view.view.*

/**
 * @author 作者：ryan.lei
 * @date 创建时间：2022/1/7 20:16
 * @Description 描述：全民升职记运营位
 **/
class PromotionAdView : RelativeLayout {
    private var viewWidth : Int = 0
    private var imageViewWidth:Int = 0
    constructor(context: Context) : this(context, null)
    constructor(context: Context, attrs: AttributeSet?) : this(context, attrs, 0)
    constructor(context: Context, attrs: AttributeSet?, defStyleAttr: Int) : super(
        context,
        attrs,
        defStyleAttr
    ) {
        LayoutInflater.from(context).inflate(R.layout.layout_promotion_ad_view, this)
        viewWidth = DeviceUtils.getScreenWidth() / 2 - ResourceUtils.getDimenSize(R.dimen.dp_7)
        imageViewWidth = viewWidth - ResourceUtils.getDimenSize(R.dimen.dp_16)
    }

    fun setData(bean: AdInfoBean?) {
        if (bean == null) {
            return
        }
        context?.let {
            ImageLoadUtils.with(it)
                .load(bean.imageUrl)
                .error(R.drawable.default_bg_gray)
                .asBitmap()
                .into(object : ALoadImgListener<Bitmap>() {
                    override fun onResourceReady(resource: Bitmap?) {
                        if (resource != null) {
                            visibility = VISIBLE
                            rivAd.setImageBitmap(resource)
                            val layoutParams = rivAd.layoutParams
                            layoutParams.height =
                                resource.height * imageViewWidth / resource.width
                            layoutParams.width = imageViewWidth
                            rivAd.layoutParams = layoutParams
                        } else {
                            visibility = GONE
                        }
                    }
                })
        }
    }

    override fun onMeasure(widthMeasureSpec: Int, heightMeasureSpec: Int) {
        super.onMeasure( MeasureSpec.makeMeasureSpec(viewWidth,MeasureSpec.EXACTLY),heightMeasureSpec)
    }
}