package com.alpha.lagouapk.ui.home.promotion

import android.content.Context
import android.graphics.drawable.GradientDrawable
import android.text.TextUtils
import android.util.AttributeSet
import android.util.TypedValue
import android.view.Gravity
import android.view.LayoutInflater
import android.view.ViewGroup
import android.widget.FrameLayout
import android.widget.TextView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.PositionInfo
import com.lagou.commonlibs.utils.DeviceUtils
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.lagouee.utils.DataServer
import kotlinx.android.synthetic.main.layout_promotion_position_hot_view.view.*
import kotlinx.android.synthetic.main.layout_promotion_position_normal_view.view.*

/**
 * Author: ryan.lei
 * Date: 2022/1/10 19:46
 * Description:
 */
class PromotionPositionNormalView : FrameLayout {
   private var viewWidth : Int = 0
    constructor(context: Context) : this(context, null)
    constructor(context: Context, attrs: AttributeSet?) : this(context, attrs, 0)
    constructor(context: Context, attrs: AttributeSet?, defStyleAttr: Int) : super(
        context,
        attrs,
        defStyleAttr
    ) {
        LayoutInflater.from(context).inflate(R.layout.layout_promotion_position_normal_view, this)
        viewWidth = DeviceUtils.getScreenWidth() / 2 - ResourceUtils.getDimenSize(R.dimen.dp_7)
    }

    fun setData(bean: PositionInfo?) {
        if (bean == null) {
            return
        }
        context?.let {
            tvNormalCardPositionName?.text = bean.pd_positionName
            tvNormalCardPositionSalary?.text =
                DataServer.getSalaryText(bean.pd_salary, bean.pd_salaryMonth)
            flNormalCardPositionLabel?.labels = bean.pd_positionLabels
            if (bean.is51Position && flHotCardPositionLabel != null){
                flHotCardPositionLabel?.addView(generateTagView(),0)
            }
            ivNormalCardCompanyName?.text = bean.pd_companyName
            tvNormalCardCompanySize?.text = bean.pd_companySize
            tvNormalCardLocation?.text = bean.pd_positionLocation
            if (TextUtils.isEmpty(bean.pd_companySize)
                || TextUtils.isEmpty(bean.pd_positionLocation)
            ) {
                tvNormalCardDivideLine?.visibility = GONE
            } else {
                tvNormalCardDivideLine?.visibility = VISIBLE
            }
        }
    }

    override fun onMeasure(widthMeasureSpec: Int, heightMeasureSpec: Int) {
        super.onMeasure( MeasureSpec.makeMeasureSpec(viewWidth,MeasureSpec.EXACTLY),heightMeasureSpec)
    }

    private fun generateTagView(): TextView {
        val textView = TextView(context).apply {
            layoutParams = ViewGroup.LayoutParams(ViewGroup.LayoutParams.WRAP_CONTENT,ResourceUtils.getDimenSize(R.dimen.dp_16))
            setPadding(ResourceUtils.getDimenSize(R.dimen.dp_5),0,ResourceUtils.getDimenSize(R.dimen.dp_5),0)
            gravity = Gravity.CENTER
            text = ResourceUtils.getString(R.string._51)
            setTextSize(TypedValue.COMPLEX_UNIT_SP,10f)
            setTextColor(ResourceUtils.getColor(R.color.color_f28e45))

            val drawable = GradientDrawable()
            drawable.shape = GradientDrawable.RECTANGLE
            drawable.cornerRadius = ResourceUtils.getDimenSize(R.dimen.dp_2).toFloat()
            drawable.setStroke(ResourceUtils.getDimenSize(R.dimen.dp_05), ResourceUtils.getColor(R.color.color_f28e45))
            background = drawable
        }
        return textView
    }
}