package com.alpha.lagouapk.ui.home.v2

import android.content.Context
import android.graphics.Rect
import android.view.View
import androidx.recyclerview.widget.RecyclerView
import androidx.recyclerview.widget.StaggeredGridLayoutManager
import com.alpha.lagouapk.R
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.commonlibs.view.recyclerview.DefaultLoadView

/**
 * @author 作者：ryan.lei
 * @date 创建时间：2022/1/12 15:46
 * @Description 描述：全民升职季--热招精选活动职位ItemDecoration
 **/
class NewPromotionPositionItemDecoration(val context: Context) : RecyclerView.ItemDecoration() {
    override fun getItemOffsets(
        outRect: Rect,
        view: View,
        parent: RecyclerView,
        state: RecyclerView.State
    ) {
        super.getItemOffsets(outRect, view, parent, state)
        val layoutParams = view.layoutParams as StaggeredGridLayoutManager.LayoutParams
        val spanIndex = layoutParams.spanIndex

        if (view is HomeHeadAdView || view is DefaultLoadView) return
        var dp1 = ResourceUtils.getDimenSize(R.dimen.dp_1)
        var dp7 = ResourceUtils.getDimenSize(R.dimen.dp_7)
        outRect.top = -dp1
        if (spanIndex % 2 == 0) {
            outRect.left = dp7
            outRect.right = -dp1
        } else {
            outRect.left = -dp1
            outRect.right = dp7
        }
    }
}