package com.alpha.lagouapk.ui.login.bean

import android.text.TextUtils
import com.alpha.lagouapk.bean.position.PositionLabelGroup
import com.lagou.commonlibs.utils.ListUtil
import java.io.Serializable

/**
 * 职位名称、职位三级类、标签信息
 * positionName 职位名称
 * newPositionName3 职位三级类
 */
data class PositionTypeAndTagsBean(
    val positionName: String?,
    val expectJobInfo: ExpectInfo?
) : Serializable {

    companion object {

        /**
         * 场景区分
         *  求职期望: "EXPECT_JOB"
          * 工作经历："WORK_EXPERIENCE"
         */
        const val EXPECT_JOB = "EXPECT_JOB"
        const val WORK_EXPERIENCE = "WORK_EXPERIENCE"

        /***
         * 显示效果改为“三级类(职位名称)”。注意：英文括号，名称可空。如“android开发”或“移动端工程师”
         * positionName不为空显示positionNane
         * positionName为空显示三级类（positionType）
         */
        fun splicePositionTypeName(positionType: String?, positionName: String?): String? {
            if (!TextUtils.isEmpty(positionName)){
                return positionName
            }

            return positionType
        }
    }

    fun getPositionNameShow(): String? {
        return splicePositionTypeName(expectJobInfo?.newPositionName3, positionName)
    }

    fun getTagNameList(): List<String>? {
        expectJobInfo?.tagCodes?.let {
            if (ListUtil.isEmpty(expectJobInfo?.tagCodes)) {
                return null
            }
            val nameList: MutableList<String> = ArrayList(it.size)
            for (tagVo in it) {
                tagVo?.name?.let { it1 -> nameList.add(it1) }
            }
            return nameList
        }

        return null
    }
}

data class ExpectInfo(
    val newPositionName1: String? = null,
    val newPositionName2: String? = null,
    val newPositionName3: String? = null,
    val newPositionCode1: String?,
    val newPositionCode2: String?,
    val newPositionCode3: String?,
    val tagCodes: ArrayList<PositionLabelGroup.Label?>?,
    val expectSalary: String? = null
) : Serializable




