package com.alpha.lagouapk.ui.login.bean

import android.text.TextUtils
import com.alpha.lagouapk.bean.EducationExperienceBean
import java.io.Serializable

/**
 * 注册明信片信息
 */
class PostcardInfoBean:Serializable {
    //1-学生身份，2-职场人身份
    var userIdentity: Int = -1
    var userName: String? = null
    var city: String? = null
    var schoolName: String? = null
    var education: String? = null
    var isUnifiedEntrance: Int = -1
    var joinWorkTime: String? = null
    var companyName: String? = null
    var positionName: String? = null
    var workYear:String? = null
    var expectJobInfo: ExpectInfo? = null
    var birthday:String? = null

    fun setIsUnifiedEntrance(str: String?) {
        var str = str
        str = str ?: ""
        isUnifiedEntrance = when (str) {
            EducationExperienceBean.TONG_ZHAO -> 1
            EducationExperienceBean.FEI_TONG_ZHAO -> 0
            else -> -1
        }
    }

    private fun getEducationTypeByUnified(isShowFeiTongZhao:Boolean = true):String{
       return when(isUnifiedEntrance){
            1 -> EducationExperienceBean.TONG_ZHAO
            0 -> if (isShowFeiTongZhao) EducationExperienceBean.FEI_TONG_ZHAO else ""
            else -> ""
        }
    }

    fun getEducationWithSuffix(split:String = EducationExperienceBean.BEN_KE_SEPARATOR,isShowFeiTongZhao:Boolean = true,isReverse:Boolean = false):String?{
       var suffix =  getEducationTypeByUnified(isShowFeiTongZhao)
        if (education == EducationExperienceBean.BEN_KE && suffix.isNotEmpty()){
            if (isReverse){
                return suffix + split + education
            }
            return education + split + suffix
        }
        return education
    }

    /***
     * 显示效果改为“三级类(职位名称)”。注意：英文括号，名称可空。如“移动端工程师(android开发)”或“移动端工程师”
     */
    fun getPositionNameShow(): String? {
        return PositionTypeAndTagsBean.splicePositionTypeName(expectJobInfo?.newPositionName3, positionName)
    }
}
