package com.alpha.lagouapk.ui.position

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.LinearLayout
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.InterviewExperienceBean
import com.alpha.lagouapk.bean.PositionDetailBean
import com.alpha.lagouapk.tools.CommonDef
import com.alpha.lagouapk.tools.IntentUtils
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.analytic.definition.c.PageId
import kotlinx.android.synthetic.main.layout_position_detail_comment.view.*

/**
 * @author 作者：ryan.lei
 * @date 创建时间：2022/2/7 11:01
 * @Description 描述：
 **/
class PositionDetailCommentLayout(val mContext: Context, attr: AttributeSet? = null) :
    LinearLayout(mContext, attr) {

    private lateinit var mData: PositionDetailBean
    private val mBeans: MutableList<InterviewExperienceBean> = mutableListOf()

    init {
        LayoutInflater.from(mContext).inflate(R.layout.layout_position_detail_comment, this)
        orientation = VERTICAL
    }

    fun setData(data: PositionDetailBean?) {
        if (data == null || null == data.interviewExperienceForJDVos || 0 == data.interviewExperienceForJDVos.size) {
            visibility = GONE
            return
        }
        mData = data
        mBeans.addAll(data.interviewExperienceForJDVos)
        refreshView()
    }

    fun refreshView() {
        tvTitle.paint.isFakeBoldText = true
        for (interviewExperienceBean in mBeans) {
            val positionDetailCommentCard = PositionDetailCommentCard(mContext)
            positionDetailCommentCard.setData(interviewExperienceBean)
            llPositionDetailComment.addView(positionDetailCommentCard)
        }

        tvAllComment.setOnClickListener {
            IntentUtils.startCommentListActivity(
                mContext,
                IntentUtils.COMMENT_TYPE_COMPANY,
                mData.companyId,
                CommonDef.companyPositionType.POSITION_TYPE_ALL
            )
            AnalyticHelper.getInstance().sendClickInfo(PageId.ep00, "b1shh")
        }
    }
}