package com.alpha.lagouapk.ui.resume.ai

import android.view.View
import android.widget.TextView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.resume.ResumeAiResponse
import com.common.utils.ViewUtils

/**
 * Ai响应ViewHolder
 */
class ResumeAiResponseVH(itemView: View, private val onImportResume:((ResumeAiResponse)->Unit)?) : BaseResumeAiVH(itemView),View.OnClickListener {
    private val tvResumeAiResponseContent = itemView.findViewById<TextView>(R.id.tvResumeAiResponseContent)
    private val tvResumeAiResponseDesc = itemView.findViewById<TextView>(R.id.tvResumeAiResponseDesc)
    private val tvResumeAiResponseImport = itemView.findViewById<TextView>(R.id.tvResumeAiResponseImport)

    private lateinit var mResumeAiResponse:ResumeAiResponse
    override fun onBindViewHolder(bean:ResumeAiResponse){
        this.mResumeAiResponse = bean
        tvResumeAiResponseContent.text = bean.content
        val isFinish = bean.isFinishMoe()
        val visibility = if (isFinish) View.VISIBLE else View.GONE
        tvResumeAiResponseDesc.visibility = visibility
        tvResumeAiResponseImport.visibility = visibility
        ViewUtils.setViewsClick(this,tvResumeAiResponseImport)
    }

    override fun onClick(v: View?) {
        when(v?.id){
            R.id.tvResumeAiResponseImport -> onImportResume?.invoke(mResumeAiResponse)
        }
    }

}