package com.alpha.lagouapk.ui.resume.edit.template

import android.app.Activity
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.ExpectJobBean
import com.common.adapter.BaseRecycleAdapter
import com.common.adapter.BaseViewHolder
import com.common.adapter.listener.OnItemClick
import com.lagou.commonlibs.utils.StringUtil

/***
 * 更换期望弹窗适配器
 */
class ResumeTemplateChangeExpectAdapter(activity: Activity?) :
    BaseRecycleAdapter<ExpectJobBean, ResumeTemplateChangeExpectAdapter.ExpectViewHolder>(activity) {


    override fun onCreateViewHolder(p0: ViewGroup, p1: Int): RecyclerView.ViewHolder {
        val itemView = LayoutInflater.from(mActivity).inflate(R.layout.adapter_resume_template_change_expect, p0, false)
        return ExpectViewHolder(itemView)
    }


    inner class ExpectViewHolder(itemView: View) : BaseViewHolder<ExpectJobBean>(itemView) {
        private var tvExpectPosition = itemView.findViewById<TextView>(R.id.tv_expect_position)
        private var tvExpectSub = itemView.findViewById<TextView>(R.id.tv_expect_sub)


        override fun onBindViewHolder(
            view: View?,
            t: ExpectJobBean,
            position: Int,
            onItemClick: OnItemClick<ExpectJobBean>?
        ) {
            tvExpectPosition.text = t.newPositionName3
            tvExpectSub.text = StringUtil.jointString("  ", t.expectCity, t.expectSalary)
            itemView.setOnClickListener {
                onItemClick?.onClick(t, position)
            }
        }

        override fun getTitle(): String {
           return "更换期望弹窗适配器"
        }
    }
}
