package com.alpha.lagouapk.ui.resume.edit.template

import android.graphics.Rect
import android.os.Bundle
import android.view.Gravity
import android.view.View
import androidx.recyclerview.widget.RecyclerView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.ExpectJobBean
import com.common.adapter.listener.OnItemClick
import com.lagou.commonlibs.inter.OnSingleMethodListener
import com.lagou.commonlibs.ui.dialog.BaseDialogFragment
import com.lagou.commonlibs.utils.ResourceUtils
import kotlinx.android.synthetic.main.dialog_resume_template_change_expect.*

/**
 * @date： Crate by wangjunwei on 2023/8/2
 * @description：更期望弹窗
 **/
class ResumeTemplateChangeExpectDialog : BaseDialogFragment() {

    val DP_5 = ResourceUtils.getDimenSize(R.dimen.dp_5)
    val DP_15 = ResourceUtils.getDimenSize(R.dimen.dp_15)
    private var expectJobList: ArrayList<ExpectJobBean>? = null
    private var onSingleMethodListener: OnSingleMethodListener<ExpectJobBean>? = null
    private lateinit var resumeTemplateChangeExpectAdapter: ResumeTemplateChangeExpectAdapter

    companion object {
        const val KEY_EXPECT_LIST = "expect_list"
        @JvmStatic
        fun getInstance(expectJobList: ArrayList<ExpectJobBean>?,
                        onSingleMethodListener: OnSingleMethodListener<ExpectJobBean>?): ResumeTemplateChangeExpectDialog{
            val resumeTemplateChangeExpectDialog = ResumeTemplateChangeExpectDialog()
            val bundle = Bundle()
            bundle.putSerializable(KEY_EXPECT_LIST, expectJobList)
            resumeTemplateChangeExpectDialog.arguments = bundle
            resumeTemplateChangeExpectDialog.onSingleMethodListener = onSingleMethodListener
            return resumeTemplateChangeExpectDialog
        }
    }

    override fun getLayoutId(): Int {
      return R.layout.dialog_resume_template_change_expect
    }

    override fun initConfigAtCreateView() {
        super.initConfigAtCreateView()
        dialog?.window?.decorView?.systemUiVisibility = View.SYSTEM_UI_FLAG_LAYOUT_HIDE_NAVIGATION
    }

    override fun fillUI() {
        super.fillUI()
        expectJobList = arguments?.getSerializable(KEY_EXPECT_LIST) as ArrayList<ExpectJobBean>?
        recycle_view.apply {
            addItemDecoration(CustomChangeExpectDecoration())
            adapter = resumeTemplateChangeExpectAdapter
        }
        resumeTemplateChangeExpectAdapter.setData(expectJobList)
    }

    override fun initListener() {
        super.initListener()
        resumeTemplateChangeExpectAdapter = ResumeTemplateChangeExpectAdapter(activity)
        resumeTemplateChangeExpectAdapter.setOnItemClick(object : OnItemClick<ExpectJobBean> {
            override fun onClick(t: ExpectJobBean, position: Int) {
                onSingleMethodListener?.onCallBack(t)
                dismiss()
            }
        })
    }

   inner class CustomChangeExpectDecoration : RecyclerView.ItemDecoration() {
       override fun getItemOffsets(
           outRect: Rect,
           view: View,
           parent: RecyclerView,
           state: RecyclerView.State
       ) {
           super.getItemOffsets(outRect, view, parent, state)
           outRect.top = DP_5
           outRect.bottom = DP_5
           outRect.left = DP_15
           outRect.right = DP_15
       }
    }

    override fun getGravity(): Int {
        return Gravity.BOTTOM
    }
}