package com.alpha.lagouapk.ui.search
import android.content.DialogInterface
import android.os.Build
import android.view.WindowManager
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.CityBean
import com.alpha.lagouapk.ui.city.CityContract
import com.alpha.lagouapk.ui.city.CityPresenter
import com.gyf.immersionbar.ImmersionBar
import com.lagou.baselib.util.BarUtil
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.component.ui.dialog.LgBaseDialog
import kotlinx.android.synthetic.main.dialog_city_select.cityFilterRootView
import kotlinx.android.synthetic.main.dialog_city_select.lTitleBar
import kotlinx.android.synthetic.main.dialog_city_select.selectCityView

/**
 * 城市选择弹窗
 */
class CityFilterDialog:LgBaseDialog(), CityContract.View {
    private var mPresenter: CityPresenter? = null
    private var mCallback:((String?)->Unit)? = null
    private var mOnDismissListener:(()->Unit)? = null
    companion object{
        @JvmStatic
        fun getInstance(callback:((String?)->Unit)?,onDismissListener:(()-> Unit)?):CityFilterDialog{
            val dialog = CityFilterDialog()
            dialog.setCallback(callback)
            dialog.setOnDismissListener(onDismissListener);
            return dialog
        }
    }

    private fun setOnDismissListener(onDismissListener: (() -> Unit)?) {
        this.mOnDismissListener = onDismissListener;

    }

    private fun setCallback(callback: ((String?) -> Unit)?) {
        this.mCallback = callback
    }

    override fun getLayoutId() = R.layout.dialog_city_select
    override fun fillUI() {
        cityFilterRootView.setPadding(0,BarUtil.getStatusBarHeight(context),0,0)
        lTitleBar.setLeftImgListener{ dismiss() }
        selectCityView.setOnSelectTagListener { city -> mCallback?.invoke(city) }
        mPresenter = CityPresenter()
        mPresenter!!.attachView(this)
        mPresenter!!.getCityInfo()
    }

    override fun getAnimationsResId() = R.style.CityFilterAnimation

    override fun getWidth() = WindowManager.LayoutParams.MATCH_PARENT
    override fun getHeight(): Int = WindowManager.LayoutParams.MATCH_PARENT

    override fun onStart() {
        super.onStart()
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP) {
            dialog?.window?.statusBarColor = ResourceUtils.getColor(R.color.white);
        }
        ImmersionBar.with(this).statusBarDarkFont(true).init()
    }

    override fun showCityInfoFailure() {
    }

    override fun showCityInfoSuccess(cityBean: CityBean?) {
        cityBean?.isIncludeAllField = true
        selectCityView.setLocationData(cityBean,"")
    }

    override fun onDismiss(dialog: DialogInterface) {
        super.onDismiss(dialog)
        mOnDismissListener?.invoke()
    }


}