package com.alpha.lagouapk.ui.search.utils

import android.text.TextUtils
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.analytic.bean.json.ClickInfo
import com.lagou.commonlibs.utils.LogUtils
import com.lagou.commonlibs.utils.StringUtil

/**
 * @date 创建时间：1/27/21
 * @author 作者：codeman
 * @Description  描述：B 端搜索模块埋点
 * @version
 */
class CSearchAnalyticUtils {

    companion object {

        const val TAG = "BSearchAnalyticUtils"

        /**
         * 上次搜索词
         */
        private var lastSearchKeyword: String? = null

        fun setLastSearchKeyword(keyword: String?) {
            lastSearchKeyword = keyword
        }

        fun clearLastSearchKeyword() {
            lastSearchKeyword = null
        }


        fun getLastSearchKeyword() = lastSearchKeyword

        /***
         * 搜索次数埋点
         * 发起搜索临时记录一下最近一次搜索的搜索词，关闭搜索页面，或者app进入后台超过启动次数的判定，则清除记录。
         * 每次搜索时判断与记录的搜索词是否相同来判断是否同一次搜索。
         * 如果不是同一次搜索，则上报该埋点，搜索次数+1
         */
        fun searchCountClick(keyword: String?) {
            LogUtils.i(TAG, "1 searchCountClick  keyword = $keyword  lastSearchKeyword = $lastSearchKeyword")
            if (TextUtils.equals(keyword, lastSearchKeyword)) {
                return
            }

            lastSearchKeyword = keyword
            keyword?.let {
                val clickInfo = ClickInfo()
                clickInfo.apply {
                    LogUtils.i(TAG, "2 searchCountClick  keyword = $keyword  lastSearchKeyword = $lastSearchKeyword")
                    page_id = "en00"
                    address_id = "1rwk"
                    addClick_props("job_search_num_id", StringUtil.md5(keyword) + System.currentTimeMillis())
                    AnalyticHelper.getInstance().sendClickInfo(clickInfo)
                }
            }

        }
    }
}