package com.alpha.lagouapk.ui.user

import android.view.View
import com.alpha.lagouapk.R
import com.alpha.lagouapk.observer.EventTags
import com.alpha.lagouapk.tools.SPUtils
import com.common.KEY_C_RECOMMEND_OFFICER_SET
import com.common.KEY_C_RECOMMEND_POSITION_SWITCH_IS_OPEN
import com.common.utils.CommonIntentUtils.Companion.startRecommendProtocolWebActivity
import com.lagou.baselib.BaseActivity
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.analytic.bean.json.ClickInfo
import com.lagou.baselib.util.mmkv.MKVUtils
import com.lagou.commonlibs.bean.SpanBean
import com.lagou.commonlibs.event.OkBus
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.commonlibs.utils.TextViewUtils
import com.lagou.commonlibs.utils.ToastUtil
import com.lagou.commonlibs.view.help.ClickableMovementMethod
import com.lagou.commonlibs.view.help.NoLineCllikcSpan
import kotlinx.android.synthetic.main.activity_personal_recommend_set.*

/**
 * 个性化推荐设置
 */
class PersonalizeRecommendSetActivity:BaseActivity() {
    override fun getContentLayoutId() = R.layout.activity_personal_recommend_set

    override fun init() {
        setRecommendProtocol()
        setRecommendPosition()
        setRecommendOfficer()
        recommendTitleBar.setLeftImgListener { finish() }
    }

    private fun setRecommendProtocol() {
        val spanProtocol = TextViewUtils.adapterSpan(
            ResourceUtils.getString(R.string.home_recommend_agreement_content),
            SpanBean(
                ResourceUtils.getString(R.string.home_recommend_agreement_title),
                ResourceUtils.getColor(R.color.theme_text_color),
                object : NoLineCllikcSpan() {
                    override fun onClick(widget: View) {
                        // 拉勾用户个性化推荐协议
                        startRecommendProtocolWebActivity(this@PersonalizeRecommendSetActivity)
                    }
                })
        )
        tvRecommendPositionDesc.movementMethod = ClickableMovementMethod.getInstance()
        tvRecommendPositionDesc.text = spanProtocol
    }

    /**
     * 职位推荐官
     * 假的开关，后端已经下架了相关功能
     */
    private fun setRecommendOfficer() {
        if (MKVUtils.getInstance().decodeBoolean(KEY_C_RECOMMEND_OFFICER_SET)){
            sbRecommendOfficer.turnOn()
        }else{
            sbRecommendOfficer.turnOff()
        }
        rlRecommendOfficer.setOnClickListener {
            if (sbRecommendOfficer.isOn) {
                //  关闭推荐
                sbRecommendOfficer.turnOff()
                MKVUtils.getInstance().encodeBoolean(KEY_C_RECOMMEND_OFFICER_SET,false)
            }else{
                sbRecommendOfficer.turnOn()
                MKVUtils.getInstance().encodeBoolean(KEY_C_RECOMMEND_OFFICER_SET,true)
            }
        }
    }

    private fun setRecommendPosition() {
       val isOpen =  MKVUtils.getInstance().decodeBoolean(KEY_C_RECOMMEND_POSITION_SWITCH_IS_OPEN,!SPUtils.getSwitchRecommendState())
        if (isOpen) {
            sbRecommendPosition.turnOn()
        } else {
            sbRecommendPosition.turnOff()
        }
        rlRecommendPosition.setOnClickListener {
            if (sbRecommendPosition.isOn) {
                //  关闭推荐
                sbRecommendPosition.turnOff()
                MKVUtils.getInstance().encodeBoolean(KEY_C_RECOMMEND_POSITION_SWITCH_IS_OPEN,false)
            } else {
                // 打开推荐
                sbRecommendPosition.turnOn()
                MKVUtils.getInstance().encodeBoolean(KEY_C_RECOMMEND_POSITION_SWITCH_IS_OPEN,true)
                ToastUtil.show(mContext, "首页推荐打开成功，系统会为你推荐职位");
            }
            OkBus.getInstance().onEvent(EventTags.CLOSE_RECOMMEND_FLUSH_POSITION);
            // 增加字符串：结果状态  1. 操作结果为：关闭状态  2. 操作结果为：打开状态
            val info:ClickInfo = ClickInfo().apply {
                this.address_id = "1p6g"
                this.page_id = "ej00"
                this.addClick_props("recommend_state", if (sbRecommendPosition.isOn) 2 else 1)
            }
            AnalyticHelper.getInstance().sendClickInfo(info);
        }
    }
}