package com.alpha.lagouapk.widget

import android.content.Context
import android.graphics.Bitmap
import android.graphics.BitmapFactory
import android.graphics.Canvas
import android.graphics.Paint
import android.util.AttributeSet
import android.view.View
import com.alpha.lagouapk.R

/**
 * @author 作者：ryan.lei
 * @date 创建时间：2022/2/16 14:41
 * @Description 描述：
 **/
class CustomRatingProgressView(context: Context, attrs: AttributeSet) : View(context, attrs) {
    private lateinit var mBitmapPaint: Paint
    private lateinit var mSelectedBitmap: Bitmap
    private lateinit var mUnselectedBitmap: Bitmap

    init {
        initPaint()
        initBitmap()
    }

    private fun initPaint() {
        mBitmapPaint = Paint(Paint.ANTI_ALIAS_FLAG)
        mBitmapPaint.isAntiAlias = true
        mBitmapPaint.isFilterBitmap = true
        mBitmapPaint.isDither = true
    }

    private fun initBitmap() {
        mSelectedBitmap = BitmapFactory.decodeResource(resources, R.drawable.rating_selected)
        mUnselectedBitmap = BitmapFactory.decodeResource(resources, R.drawable.rating_unselect)
    }

    override fun onLayout(changed: Boolean, left: Int, top: Int, right: Int, bottom: Int) {
        super.onLayout(changed, left, top, right, bottom)
    }

    override fun onDraw(canvas: Canvas?) {
        super.onDraw(canvas)
        canvas?.apply {
//            drawBitmap(mUnselectedBitmap,)
        }
    }

}