package com.alpha.lagouapk.widget.viewholder

import android.content.Context
import android.text.TextUtils
import android.view.LayoutInflater
import android.view.View
import android.widget.RelativeLayout
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.AggregateMessageBean
import com.lagou.commonlibs.imageload.ImageLoadUtils
import kotlinx.android.synthetic.main.item_recommend_position_tips.view.*

/**
 * @author 作者：ryan.lei
 * @date 创建时间：2022/3/4 18:51
 * @Description 描述：
 **/
class RecommendPositionTipsView(val mContext: Context) : RelativeLayout(mContext) {
    init {
        initViews()
    }

    private fun initViews() {
        LayoutInflater.from(mContext).inflate(R.layout.item_recommend_position_tips, this)
    }

    fun setData(positionMessageBean: AggregateMessageBean.Message) {
        if (TextUtils.isEmpty(positionMessageBean.inviteDate)) {
            tvInviteDate.visibility = View.GONE
        } else {
            tvInviteDate.visibility = View.VISIBLE
            tvInviteDate.text = positionMessageBean.inviteDate
        }
        bubbleViewHintContent.text = positionMessageBean.recommenderTip
        ImageLoadUtils.with(mContext)
            .load(positionMessageBean.recommenderIcon)
            .error(R.drawable.default_bg_gray)
            .dontAnimate()
            .into(ivHintLogo)
    }
}