package com.common.bean

import com.lagou.socketchannel.http.event.HttpEventResponse
import java.io.Serializable

/**
 * AI响应基类
 */
open class BaseAiResponse:Serializable{
    /***
     * 流式内容追加
     */
    var content: String? = null

    /***
     * 上下文id用于关联上下文文案需要
     */
    var contextId: String? = null

    /***
     * 一个完整的流式请求的唯一标识，底层生成id
     */
    var id: Long = 0

    /**
     * 内容类型
     */
    var contentType = 0

    /***
     * 流式生成状态码
     * 用最新的code覆盖
     */
    var code = 0

    /**
     * 提取的职位描述
     */
    var filterContent: String? = null


    /**
     * 是否是追加模式
     */
    var isAppend = false

    /***
     * 是否是loading样式
     */
    var isLoading = false

    /***
     * 是否结束模式
     * 正常结束 -1
     * 异常情况：101
     * 关闭：-2
     * 网络错误
     * 解析错误：-10001
     * @return
     */
    open fun isFinishMoe() = HttpEventResponse.State.SUCCESS != code
    /**是
     * 否处于生成中
     *
     * @return
     */
    open fun isGeneratingMode() = HttpEventResponse.State.SUCCESS == code
    open fun isFailMode() = code != HttpEventResponse.State.FINISH && code != HttpEventResponse.State.SUCCESS && code != HttpEventResponse.State.CLOSE
}
