package com.common.bean

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

/**
 * 职位问答题目对象
 */
@Parcelize
data class PositionQuestionBean(
    val questionId: Int,//问题的id
    var content: String?,//问题的题目
    var type: Int,//问题的类型，0：系统预设问题  1：用户自定义问题
    val tags: String?,//问题关联的标签，如抗压能力、解决问题能力
    val answer: String?,//答案
    var choosed:Boolean,//是否已选
    var editAnswer:String? = null//编辑中的答案
):Parcelable

const val TYPE_SYSTEM = 0//系统预设问题
const val TYPE_CUSTOM = 1//自定义问题