package com.common.chat.item

import android.content.ClipData
import android.content.ClipboardManager
import android.content.Context
import android.view.View
import com.alpha.lagouapk.R
import com.common.chat.item.base.ChatItem
import com.common.utils.ViewUtils
import com.lagou.chat.chatlibrary.bean.json.SeeWechatNumMsg
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.commonlibs.utils.ToastUtil
import com.lagou.socketchannel.util.GsonUtil
import kotlinx.android.synthetic.main.item_see_wechat_num.view.*

/**
 * 查看微信号
 */
class SeeWechatItem(context:Context):ChatItem(context) {
    companion object{
        const val BUTTON_COPY_TYPE = 1
    }
    override fun initView() {
        mDate = chat_item_date
        ViewUtils.setViewsClick(this,tvCopyWechatNum)
    }

    override fun updateView() {
        val wechatNumMsg: SeeWechatNumMsg? =  GsonUtil.fromJson(mChatMsg?.content, SeeWechatNumMsg::class.java)
        if (wechatNumMsg == null){
            visibility = View.GONE
            return
        }
        visibility = View.VISIBLE
        tvWechatNum.text = wechatNumMsg.wechat
        val copyBtnData = wechatNumMsg.btns?.find {  it.btnType == BUTTON_COPY_TYPE }
        if (copyBtnData == null){
            tvCopyWechatNum.isEnabled = false
        }else{
            tvCopyWechatNum.isEnabled = copyBtnData.canClick
            tvCopyWechatNum.text = if (copyBtnData.txt.isNullOrEmpty()) ResourceUtils.getString(R.string.copy_wechat_num) else copyBtnData.txt
        }

    }

    override fun getLayoutId(): Int = R.layout.item_see_wechat_num

    override fun onClick(v: View?) {
        super.onClick(v)
        when(v?.id){
            R.id.tvCopyWechatNum -> copyWechat()
        }
    }

    /**
     * 复制微信号
     */
    private fun copyWechat() {
        val cmb = mContext.getSystemService(Context.CLIPBOARD_SERVICE) as? ClipboardManager
        cmb?.let{
            it.setPrimaryClip(ClipData.newPlainText(null, tvWechatNum.text))
            ToastUtil.showCenter(mContext,ResourceUtils.getString(R.string.had_copyed))
        }
    }
}