package com.common.integrate.pay.apply

import android.text.TextUtils
import com.common.integrate.pay.PayUseScenesKey
import com.lagou.annotation.apt.APayBack
import com.lagou.commonlibs.event.OkBus
import com.lagou.lagouee.observer.BEventTags
import com.lagou.pay.common.base.BasePayDelegate
import com.lagou.pay.common.bean.PayVerify


/**
 * 购买通用商品：不需要关心支付场景的
 */
@APayBack(PayUseScenesKey.ProductType.PRODUCT_COMMON_TYPE)
class BuyCommonProductImpl(private var payDelegate: BasePayDelegate?) : BaseBuyProductImpl(payDelegate){

    override fun onSuccess(verify: PayVerify) {
        super.onSuccess(verify)
        if (TextUtils.equals(PayUseScenesKey.ProductType.PRODUCT_RESUME_REVISING ,payDelegate?.extraParams?.realProductType)){
            OkBus.getInstance().onEvent(BEventTags.PAY_SUCCESS_INTERVIEW_HELP)
        }
    }
}