package com.common.integrate.pay.apply

import com.common.integrate.pay.PayUseScenesKey
import com.common.webview.LagouWebviewActivity
import com.lagou.annotation.apt.APayBack
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.analytic.bean.json.ClickInfo
import com.lagou.commonlibs.event.OkBus
import com.lagou.lagouee.observer.BEventTags
import com.lagou.pay.common.base.BasePayDelegate
import com.lagou.pay.common.bean.PayVerify

/**
 * @date 创建时间：2019-12-11
 * @author 作者：codeman
 * @Description  描述：职位类别解锁触发，vip会员购买成功
 * @version
 */

@APayBack(
        PayUseScenesKey.BUSINESS_VIP_POSITION,
        PayUseScenesKey.ProductType.PRODUCT_VIP_MEMBER + PayUseScenesKey.SEPARATOR + PayUseScenesKey.SceneType.SCENE_UNLOCK_POSITION)
class BuyLockPositionImpl(private var payDelegate: BasePayDelegate?) : BasePackCallback() {

    override fun onFlushRelevant() {
        //1 刷新当前h5页面
        val webviewActivity = payDelegate?.baseActivity as? LagouWebviewActivity
        webviewActivity?.let {
            if(webviewActivity.isActive){
                webviewActivity.mWebViewDelegate?.reload()
            }
        }
    }

    override fun onSuccess(verify: PayVerify) {
        payDelegate?.postSuccessDelayTask{
            OkBus.getInstance().onEvent(BEventTags.PAY_SUCCESS_VIP_POSITION_LOADING, payDelegate?.extraParams)
        }
    }

    override fun onFailure(goodsOrderNo: String, mOrderNo: String) {
    }

    override fun onUnknown(goodsOrderNo: String, mOrderNo: String) {
    }

    override fun onGetOrderNo(orderNo: String?) {

    }

    override fun onReport() {
        val clickInfo = ClickInfo()
                .setPage_id("1mxe")
                .setAddress_id("1p3g")
                .addClick_props("source_tab", sourceTab)
        AnalyticHelper.getInstance().sendClickInfo(clickInfo)
    }

    override fun getBuyButtonClickAid() = "1p3h"

}