package com.common.integrate.pay.apply

import android.text.TextUtils
import com.common.integrate.pay.PayUseScenesKey
import com.common.webview.LagouWebviewActivity
import com.lagou.annotation.apt.APayBack
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.analytic.bean.json.ClickInfo
import com.lagou.commonlibs.event.OkBus
import com.lagou.lagouee.observer.BEventTags
import com.lagou.pay.common.base.BasePayDelegate
import com.lagou.pay.common.bean.PayVerify

/**
 * @date 创建时间：2019-07-02
 * @author 作者：codeman
 * @Description  描述：月度职位卡购买成功，延长职位在线时间
 * @version
 */

@APayBack(
        PayUseScenesKey.BUSINESS_MONTH_REPUBLISH,
        BuyRePublishImpl.VIP_SCENE
        )
class BuyRePublishImpl(private var payDelegate: BasePayDelegate?) : BasePackCallback() {

    companion object {
       const val VIP_SCENE = PayUseScenesKey.ProductType.PRODUCT_VIP_MEMBER + PayUseScenesKey.SEPARATOR + PayUseScenesKey.SceneType.SCENE_REPUBLISH_POSITION
    }

    override fun onFlushRelevant() {
        val webviewActivity = payDelegate?.baseActivity as? LagouWebviewActivity
        webviewActivity?.let {
            if(webviewActivity.isActive){
                webviewActivity.mWebViewDelegate?.reload()
            }
        }
    }

    override fun onSuccess(verify: PayVerify) {
        payDelegate?.postSuccessDelayTask{
            OkBus.getInstance().onEvent(BEventTags.PAY_SUCCESS_REPUBLISH_LOADING, payDelegate?.extraParams)
            OkBus.getInstance().onEvent(BEventTags.PAY_SUCCESS_REPUBLISH_REGISTER, payDelegate?.extraParams)
        }
    }

    override fun onFailure(goodsOrderNo: String, mOrderNo: String) {
    }

    override fun onUnknown(goodsOrderNo: String, mOrderNo: String) {
    }

    override fun onGetOrderNo(orderNo: String?) {
    }

    override fun onReport() {

        val clickInfo = ClickInfo()
                .setPage_id("1mxe")
                .setAddress_id("1p38")
                .addClick_props("source_tab", sourceTab)
        AnalyticHelper.getInstance().sendClickInfo(clickInfo)
    }

    override fun getBuyButtonClickAid() = "1p39"

    override fun isVipBuy(): Boolean {
        return if (payDelegate == null) {
            false
        } else TextUtils.equals(VIP_SCENE, payDelegate?.useScenes)

    }
}