package com.common.integrate.pay.apply

import com.common.integrate.pay.PayUseScenesKey
import com.common.webview.LagouWebviewActivity
import com.lagou.annotation.apt.APayBack
import com.lagou.commonlibs.event.OkBus
import com.lagou.lagouee.observer.BEventTags
import com.lagou.pay.common.base.BasePayDelegate
import com.lagou.pay.common.bean.PayVerify

/**
 * @date 创建时间：2019-08-14
 * @author 作者：codeman
 * @Description  描述：勾豆充值业务
 * @version
 */
@APayBack(PayUseScenesKey.RECHARGE_BEAN)
class BuyRechargeImpl(private var payDelegate: BasePayDelegate?) : BasePackCallback() {

    override fun onFlushRelevant() {
        val webviewActivity = payDelegate?.baseActivity as? LagouWebviewActivity
        webviewActivity?.let {
            webviewActivity.mWebViewDelegate?.reload()
        }
    }

    override fun onSuccess(verify: PayVerify) {
        onFlushRelevant()

        //充值依赖的是支付订单，商业化产品依赖的是商品订单
        payDelegate?.postSuccessDelayTask{
            if (payDelegate?.extraParams != null){
                payDelegate?.extraParams?.goodsOrderNo = verify.orderNo
                OkBus.getInstance().onEvent(BEventTags.PAY_SUCCESS_BEAN_USER,  payDelegate?.extraParams)
            }else{
                OkBus.getInstance().onEvent(BEventTags.PAY_SUCCESS_BEAN_USER)
            }
            payDelegate?.hideWindow()
        }
    }

    override fun onFailure(goodsOrderNo: String?, mOrderNo: String?) {

    }

    override fun onUnknown(goodsOrderNo: String?, mOrderNo: String?) {

    }

    override fun onGetOrderNo(orderNo: String?) {

    }

    override fun onReport() {

    }

    override fun getBuyButtonClickAid() = ""

}
