package com.common.integrate.pay.apply

import com.alpha.lagouapk.observer.EventTags
import com.common.bean.PayTypeInfo
import com.common.integrate.pay.PayUseScenesKey
import com.lagou.annotation.apt.APayBack
import com.lagou.commonlibs.event.OkBus
import com.lagou.lagouee.observer.BEventTags
import com.lagou.pay.common.base.BasePayDelegate
import com.lagou.pay.common.bean.PayVerify

/**
 * @date 创建时间：2019-09-27
 * @author 作者：codeman
 * @Description  描述：试用会员购买
 * @version
 */
@APayBack(PayUseScenesKey.RESUME_TEMPLATE_AUTOMATIC_BUY)
class BuyResumeTemplateAutomaticImpl(private var payDelegate: BasePayDelegate?) : BasePackCallback() {

    override fun onSuccess(verify: PayVerify) {
        payDelegate?.postSuccessDelayTask {
            //codeman 转移到业务方的校验接口
            OkBus.getInstance().onEvent(EventTags.PAY_SUCCESS_RESUME_TEMPLATE_AUTOMATIC_LOADING, PayTypeInfo(payDelegate?.schemaGoodsOrderNo))
        }
    }

    override fun onFailure(goodsOrderNo: String?, mOrderNo: String?) {
    }

    override fun onUnknown(goodsOrderNo: String?, mOrderNo: String?) {
    }

    override fun onFlushRelevant() {
    }

    override fun onGetOrderNo(orderNo: String?) {
    }

    override fun onReport() {

    }

    override fun getBuyPageId(): String {
        return ""
    }

    override fun getBuyButtonClickAid(): String {
        return ""
    }
}