package com.common.integrate.push.getui

import android.content.Intent
import android.os.IBinder
import com.igexin.sdk.PushService

/**
 * @date 创建时间：2020/7/1
 * @author 作者：codeman
 * @Description  描述：配置推送服务
 *                    为了让推送服务在部分主流机型上更稳定运行，从 2.9.5.0 版本开始，
 *                    个推支持第三方应用配置使用自定义 Service 来作为推送服务运行的载体。
 *
 * @version
 */
class GetuiPushService : PushService() {

    override fun onCreate() {
        super.onCreate()
        //LogUtils.i("NewGetuiPushService", "onCreate 继承个推service，创建了")
    }

    override fun onStartCommand(intent: Intent?, flags: Int, startId: Int): Int {
        //LogUtils.i("NewGetuiPushService", "onStartCommand 继承个推service，启动了")
        return super.onStartCommand(intent, flags, startId)
    }

    override fun onBind(p0: Intent?): IBinder? {
       //LogUtils.i("NewGetuiPushService", "onBind 继承个推service，启动了")
        return super.onBind(p0)
    }
}