package com.common.integrate.wx

import android.text.TextUtils
import com.alpha.lagouapk.ui.login.bean.OauthGetResp
import com.common.manager.net.CommonNetManager
import com.lagou.baselib.BaseActivity
import com.lagou.baselib.net.httpnetback.OnAdapterCommonListenerImpl
import com.lagou.commonlibs.ui.dialog.GeneralDialog
import com.lagou.commonlibs.utils.DialogUtils
import com.lagou.socketchannel.http.HttpResponse

/**
 * @date 创建时间：2019-11-28
 * @author 作者：codeman
 * @Description  描述：
 * @version
 */
class AccountWxBindEvent(activity: BaseActivity?, onWxBindCallback: OnWxBindCallback<OauthGetResp>, dismissListener: GeneralDialog.DismissListener)
    : BaseWxBindEvent(activity, onWxBindCallback) {

    private var gDismissListener: GeneralDialog.DismissListener? = null

    init {
        gDismissListener = dismissListener
    }

    override fun onCurrentHasBind(code: String) {
        CommonNetManager.checkWxState(code, object : OnAdapterCommonListenerImpl<OauthGetResp, HttpResponse<OauthGetResp>>(baseActivity) {
            override fun onSuccess(oauthGetResp: OauthGetResp?) {
                super.onSuccess(oauthGetResp)
                val bindUserInfo = oauthGetResp?.bindUserInfo
                var accountName= bindUserInfo?.phone
                if (TextUtils.isEmpty(accountName)) {
                    accountName = bindUserInfo?.email
                }
                if (TextUtils.isEmpty(accountName)) {
                    accountName = "其他"
                }
                if (baseActivity?.isActivityEnable == true) {
                    DialogUtils.buildWXBindDialog(baseActivity, "直接换绑",
                            "该微信已与拉勾账号\"$accountName\"绑定，点击确定将微信绑定至当前拉勾账号",
                            "确定", "取消", false, gDismissListener)
                }
            }
        })
    }

    override fun onToBindSuccess(oauthGetResp: OauthGetResp?) {
        super.onToBindSuccess(oauthGetResp)
    }
}
