package com.common.manager.net

import com.ApiService
import com.common.bean.json.RechargeInfoRes
import com.lagou.baselib.net.httpnetback.AdapterBaseCallBack
import com.lagou.baselib.net.httpnetback.OnAdapterCommonListenerImpl
import com.lagou.socketchannel.http.HttpRequest
import com.lagou.socketchannel.http.HttpResponse

/**
 * @date 创建时间：2019-08-21
 * @author 作者：codeman
 * @Description  描述：BC端共用的网络请求
 * @version
 */

class BCNetManager {

    companion object {

        /***
         * 充值页面的数据来源
         */
        fun preRecharge(listener: OnAdapterCommonListenerImpl<RechargeInfoRes, HttpResponse<RechargeInfoRes>>) {
            listener.let {
                if (!listener.isActive) {
                    return
                }
                listener.showLoading()

                ApiService.api.preRecharge().enqueue(object : AdapterBaseCallBack<RechargeInfoRes>(listener) {
                    override fun onAdapterSuccess(request: HttpRequest<*>?, response: HttpResponse<RechargeInfoRes>?) {
                        listener.onSuccess(response?.content)
                    }
                })
            }
        }
    }
}