package com.common.ui.collect

import android.view.View
import com.alpha.lagouapk.R
import com.alpha.lagouapk.UserRoleManager
import com.alpha.lagouapk.tools.IntentUtils
import com.common.utils.ViewUtils
import com.lagou.baselib.BaseActivity
import kotlinx.android.synthetic.main.activity_user_info_manifest.*

/**
 * 用户个人信息收集清单
 */
class UserInfoManifestActivity:BaseActivity(),View.OnClickListener {
    override fun getContentLayoutId() = R.layout.activity_user_info_manifest

    override fun init() {
       val isB = UserRoleManager.getInstance().isBUser
        userIdentityInfoItem.visibility = if (isB) View.VISIBLE else View.GONE
        userIdentityInfoLine.visibility = userIdentityInfoItem.visibility
        manifestTitleBar.setLeftImgListener { finish() }
        ViewUtils.setViewsClick(this,userBaseInfoItem,userIdentityInfoItem,userAppInfoItem,userDeviceInfoItem)
    }

    override fun onClick(view:View?){
        when(view?.id){
            R.id.userBaseInfoItem -> IntentUtils.startUserInfoManifestDetailActivity(this,UserInfoManifestDetailActivity.BASE_INFO)
            R.id.userIdentityInfoItem -> IntentUtils.startUserInfoManifestDetailActivity(this,UserInfoManifestDetailActivity.IDENTITY_INFO)
            R.id.userAppInfoItem -> IntentUtils.startUserInfoManifestDetailActivity(this,UserInfoManifestDetailActivity.USE_INFO)
            R.id.userDeviceInfoItem -> IntentUtils.startUserInfoManifestDetailActivity(this,UserInfoManifestDetailActivity.DEVICE_INFO)
        }
    }
}