package com.common.utils

import android.app.Activity
import android.text.TextUtils
import com.common.bean.json.ForbidInfoRes
import com.common.ui.dialog.AppStoreDialog
import com.common.ui.dialog.NewForbidDialog
import com.lagou.baselib.BaseActivity
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.analytic.bean.json.ShowLogInfo

/**
 * @date 创建时间：2019-08-29
 * @author 作者：codeman
 * @Description  描述：
 * @version
 */

class UnitDialogUtils {

    companion object {

        var pid = ""
        var aid = ""

        /**
         * 新封禁弹窗
         * @param activity
         * @param forbidInfoRes
         */
        fun showForbidDialog(activity: Activity?, forbidInfoRes: ForbidInfoRes?) {
            if (activity == null || activity.isDestroyed || forbidInfoRes == null) {
                pid = ""
                aid = ""
                return
            }
            val forbidDialog = NewForbidDialog.buildInstance(activity, forbidInfoRes)
            forbidDialog.show()
            sendShowInfo(pid, aid)
        }

        private fun sendShowInfo(pid: String?, aid: String?) {
            if (TextUtils.isEmpty(pid) || TextUtils.isEmpty(aid)) {
                return
            }
            val info = ShowLogInfo()
            info.setPage_Id(pid).setAddress_Id(aid)
            AnalyticHelper.getInstance().sendShowInfo(info)
        }

        @JvmStatic
        fun showAppStoreDialog(activity: BaseActivity) {
            if (activity.isActivityDestroyed){
                return
            }
            AppStoreDialog.getInstance().show(activity.supportFragmentManager)
        }
    }

}