package com.common.widget

import android.content.Context
import android.util.AttributeSet
import android.view.MotionEvent
import androidx.recyclerview.widget.RecyclerView
import com.alpha.lagouapk.R

class InterceptRecyclerView @JvmOverloads constructor(context: Context, attributeSet: AttributeSet? = null, defAttrStyle: Int = 0)
    : RecyclerView(context, attributeSet, defAttrStyle) {
    private var mIsIntercept:Boolean = true
    init {
       val array =  context.obtainStyledAttributes(attributeSet, R.styleable.InterceptRecyclerView, defAttrStyle, 0)
        mIsIntercept = array.getBoolean(R.styleable.InterceptRecyclerView_isIntercept,true)
    }

    fun setIntercept(isIntercept:Boolean){
        this.mIsIntercept = isIntercept
    }

    override fun onInterceptTouchEvent(e: MotionEvent?): Boolean {
        return mIsIntercept
    }
}