package com.lagou.lagouee.bean.jsonbean.business

import android.text.TextUtils

/**
 * @author 作者：codeman
 * @date 创建时间：2019-08-15
 * @Description 描述：新的 查询商品订单的支付结果
 */
class NewGoodsPayCheckRes {
    /**
     * buttonText : string
     * descText : string
     * msg : string
     * orderNo : string
     * orderResultDesc : string
     * orderState : string
     * status : 0
     * titleText : string
     * userId : 0
     */

    /**
     * 状态消息
     */
    var msg: String? = null

    /***
     * 订单编号
     */
    var orderNo: String? = null

    /**
     * 订单处理结果的描述文字
     */
    var orderResultDesc: String? = null

    /***
     * 订单当前状态
     * CREATE 已创建
     * PAID 已支付
     * SUCCESS 已完成
     * CANCEL 已取消orderState
     * EXPIRED 已过期
     */
    var orderState: String? = null

    /***
     * 状态码 , type = integer
     * 为1时表示创建成功,此时orderNo有值
     * 为-1时表示未知原因订单查询失败
     * 为-2时表示请求参数异常
     * 60404，勾豆余额不足，购买失败，支付金额已充值到勾豆余额
     * 60402，积分余额不足，购买失败，支付金额已充值到勾豆余额
     * 70001，积分全额兑换次数不足，购买失败，支付金额已充值到勾余额 ,
     */
    var status: Int = 0

    /***
     * 订单归属人的用户ID
     */
    var userId: Int = 0

    /***
     * 弹窗实体
     */
    var tips: TipsInfoVO? = null

    var successBtn: SuccessBtnBean? = null
    var successType: String? = null
    var title: String? = null

    inner class SuccessBtnBean {
        /**
         * btnText : string
         * url : string
         */

        var btnText: String? = null
        var url: String? = null
    }


    inner class TipsInfoVO {
        /***
         * 结果弹窗Title
         */
        var titleText: String? = null

        /***
         * 结果弹窗内容
         */
        var descText: String? = null

        /***
         * 结果弹窗按钮文案
         */
        var buttonText: String? = null

    }

    /***
     * 表示商品兑换成功
     */
    fun isSuccess() = status == ExchangeStatus.CREATE_SUCCESS

    /***
     * fail需要弹窗的情况
     */
    fun isFailDialog() = status != ExchangeStatus.CREATE_SUCCESS && tips != null

    /***
     * fail不弹窗的情况
     */
    fun isFail() =  status != ExchangeStatus.CREATE_SUCCESS && tips == null


    /***
     * 成功的提示类型  弹窗或者toast
     */
    fun isSuccessDialog() = TextUtils.equals(successType, SuccessType.POPUP)

    fun getSuccessBtnTxt() = successBtn?.btnText

    fun getSuccessBtnUrl() = successBtn?.url

    /**
     * 订单当前状态
     */
    class OrderState {
       companion object {
           val CREATE = "CREATE"
           val PAID = "PAID"
           val SUCCESS = "SUCCESS"
           val CANCEL = "CANCEL"
           val EXPIRED = "EXPIRED"
       }
    }

    /***
     * 支付的当前状态
     */
    class ExchangeStatus {
        companion object {
            val CREATE_SUCCESS = 1
            val UNKNOW_FAIl = -1
            val PARAMETER_FAIL = -2
            val PAY_FAIL_BEANS = 60404
            val PAY_FAIL_FRACTION = 60402
            val PAY_FAIL_TIMES = 70001
        }
    }

    /**
     * 成功的提示类型  弹窗或者toast
     */
    class SuccessType {
        companion object {
            val TOAST = "TOAST"
            val POPUP = "POPUP"
        }
    }
}
