package com.lagou.lagouee.ui

import android.text.Html
import com.alpha.lagouapk.R
import com.alpha.lagouapk.UserRoleManager
import com.alpha.lagouapk.tools.CheckExitUtil
import com.alpha.lagouapk.tools.CommonDef
import com.alpha.lagouapk.ui.login.FirstStartActivity
import com.lagou.baselib.BaseActivity
import com.lagou.commonlibs.utils.BaseUtils
import com.lagou.commonlibs.utils.SafeTypeConvert
import kotlinx.android.synthetic.main.activity_account_forbid_main.*

/**
 * 账号封禁页
 */
class AccountForbidActivity:BaseActivity() {
    companion object{
        const val KEY_FORBID_REASON = "key_forbid_reason"
        const val KEY_FORBID_DURATION = "key_forbid_duration"
    }
    override fun getContentLayoutId(): Int = R.layout.activity_account_forbid_main

    override fun init() {
        val reason:String? = intent.getStringExtra(KEY_FORBID_REASON)
        val duration:String? = intent.getStringExtra(KEY_FORBID_DURATION)
        tvAccountBanReason.text = Html.fromHtml("你曾因 <font color=#FF7452>$reason</font> 被 <font color=#FF7452>$duration</font> 处罚")
        initListener()
    }

    private fun initListener() {
        tvServicePhone.setClickableSpanListener {
            BaseUtils.dialNumber(mContext, SafeTypeConvert.toString(it))
        }
        tvLoginLout.setOnClickListener {
            if (UserRoleManager.getInstance().isHasLogin.not()){
                CommonDef.startLogin(this, FirstStartActivity.FSA_BROADCAST_UPDATE_AND_SHOW_HOME_TASK_BEFORE_FINISH)
                finish()
                return@setOnClickListener
            }
            UserRoleManager.getInstance().logoutApp()

        }
    }

    override fun onBackPressed() {
        CheckExitUtil.checkExit(this)
    }

    override fun getPageId(): String  = "g1u94"

    override fun enterMustLogin(): Boolean = false
}