package com.lagou.lagouee.ui.candidate.inter

import com.common.mvp.presenter.BasePresenter
import com.lagou.baselib.net.OnUiRelativeListener
import com.lagou.chat.chatlibrary.bean.json.AttachResumeEntranceBean
import com.lagou.lagouee.bean.candidate.CandidateDetailReq
import com.lagou.lagouee.bean.jsonbean.candidate.CandidateCompanyBean
import com.lagou.lagouee.bean.jsonbean.problem.AnswerQuestionBean
import com.lagou.lagouee.bean.jsonbean.talent.*
import com.lagou.lagouee.ui.candidate.constants.CandidateConstants

/**
 * Created by shishoufeng on 2020/8/12.
 * email:shoufengshi@lagou.com
 *
 * desc: 职位详情 接口定义集合
 *
 *
 */


interface IUpdateView<T> {


    /**
     *
     * 更新和设置view 数据
     */
    fun updateView(t: T)


}

/**
 * 更新求职问答问题
 */
interface IUpdateProblem<T> {

    fun updateProblem(t: T)
}


/**
 * 更多标签点击回调
 */
interface OnOthersClickListener {


    fun onClickOthers(@CandidateConstants.ConOthersUseType useType: Int)
}


/**
 * 查看所有图片回调
 */
interface OnSeeAllPictureListener {

    fun onClickPicture(position: Int)
}


/**
 * 查看公司信息点击回调
 */
interface OnCompanyInfoClickListener {

    fun onShowCompanyDialog(osBean: ResumeCoreInfoBeanX.WorkExperienceVOsBean?)
}

/**
 * 设置候选人工作、项目等信息的显示模式
 */
interface ICandidateShowMode {

    fun setMode(@CandidateConstants.ShowMode mode: Int)
}


/*---------------人才详情MVP接口定义--start-------------------*/
interface Model : com.lagou.baselib.mvp.BaseModel

interface View {


    fun loadTalentDetailStateSuccess(state: TalentDetailState?)


    fun loadTalentDetailStateError(errorCode: Int, errorMsg: String)

    //显示隐私设置屏蔽了该公司 界面
    fun showShieldState()

    //加载详情数据成功
    //详情数据、公司数据
    fun loadTalentDetailSuccess(detailBean: TalentDetailBean?, companyBean: List<CandidateCompanyBean>)

    //加载详情数据失败
    fun loadTalentDetailError(errorCode: Int, errorMsg: String)

    //加载推荐人才列表成功
    fun loadRecommendListSuccess(list: List<SimilarCandidateBean>)

    //加载求职问答数据成功
    fun loadProblemAnswerSuccess(answerQuestionBean: AnswerQuestionBean)

    //加载邀约作品集数据成功
    fun loadInvitePortfolioSuccess(attachResumeEntranceBean: AttachResumeEntranceBean)

    /**
     * 给面试面聊状态
     */
    fun loadChatInviteState(inviteState: Integer)
}

interface Presenter : BasePresenter {


    fun getTalentDetailSimple(detailReq: CandidateDetailReq?)

    /**
     * 获取人才详情
     */
    fun getTalentDetail(detailReq: CandidateDetailReq?)


    fun getTalentDetailState(cUserId: Int)


    /**
     * 获取公司信息
     */
    fun getCompanyInfoList()

    /**
     * 获取推荐列表
     */
    fun getRecommendList(referUserId: Long = 0, expectJobId:String?,listener: OnUiRelativeListener)

    /**
     * 获取求职问答 答案数据
     */
    fun getProblemAnswer(cUserId: Long)

}


/*---------------人才详情MVP接口定义--end-------------------*/
