package com.lagou.lagouee.ui.dialog.business

import android.os.Bundle
import android.text.TextUtils
import com.alpha.lagouapk.R
import com.lagou.commonlibs.ui.dialog.BaseDialogFragment
import com.lagou.lagouee.bean.jsonbean.business.CompetePositionGuide
import com.lagou.lagouee.utils.IntentUtils
import kotlinx.android.synthetic.main.diloag_complete_guide_position.dialog_close
import kotlinx.android.synthetic.main.diloag_complete_guide_position.lin_main_content
import kotlinx.android.synthetic.main.diloag_complete_guide_position.tv_popup_txt

/**
 * @date： Crate by wangjunwei on 2023/11/6
 * @description：竞招职位引导购买弹窗
 **/
class CompleteGuidePositionDialog : BaseDialogFragment() {

    private var competePositionGuide: CompetePositionGuide? = null

    override fun getLayoutId(): Int {
      return R.layout.diloag_complete_guide_position
    }

    companion object {
        const val KEY_MAIN_DATA = "main_data"

        @JvmStatic
        fun getInstance(completePositionGuide: CompetePositionGuide?): CompleteGuidePositionDialog{
            val arguments = Bundle()
            arguments.putParcelable(KEY_MAIN_DATA, completePositionGuide)
            val completeGuidePositionDialog = CompleteGuidePositionDialog()
            completeGuidePositionDialog.arguments = arguments
            return completeGuidePositionDialog
        }
    }

    override fun initConfigAtCreateView() {
        super.initConfigAtCreateView()
        dialog?.setCanceledOnTouchOutside(false)
    }


    override fun fillUI() {
        super.fillUI()
        competePositionGuide = arguments?.getParcelable<CompetePositionGuide>(KEY_MAIN_DATA)
        competePositionGuide?.let {
            if (!TextUtils.isEmpty(it.popupMessage)){
                tv_popup_txt.text = it.popupMessage
            }
        }
    }

    override fun initListener() {
        super.initListener()
        lin_main_content.setOnClickListener {
            competePositionGuide?.let {
                IntentUtils.startLagouWebViewActivity(context, it.jumpUrl)
                dismiss()
            }
        }
        dialog_close.setOnClickListener {
            dismiss()
        }
    }
}