package com.lagou.lagouee.ui.dialog.business

import android.os.Bundle
import com.alpha.lagouapk.R
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.commonlibs.ui.dialog.BaseBottomSheetDialogFragment
import com.lagou.lagouee.bean.jsonbean.business.BusinessAfterTrialRes
import com.lagou.lagouee.utils.IntentUtils
import kotlinx.android.synthetic.main.dialog_expose_after_trial_achieve.*

/**
 * @date： Crate by wangjunwei on 2023/6/19
 * @description：高简历小B促付费-强力曝光试用期结束达成目标提示弹窗
 **/
class ExposeAfterTrialAchieveDialog : BaseBottomSheetDialogFragment() {

    private var businessAfterTrialRes: BusinessAfterTrialRes? = null

    companion object {
        private const val KEY_BUSINESS_DATA = "key_business_data"

        @JvmStatic
        fun getInstance(businessAfterTrialRes: BusinessAfterTrialRes?) : ExposeAfterTrialAchieveDialog{
            val bundle = Bundle()
            bundle.putSerializable(KEY_BUSINESS_DATA, businessAfterTrialRes)
            val exposeTryBeforeDialog = ExposeAfterTrialAchieveDialog()
            exposeTryBeforeDialog.arguments = bundle
            return exposeTryBeforeDialog
        }
    }

    override fun getLayoutId(): Int {
       return R.layout.dialog_expose_after_trial_achieve
    }

    override fun initConfigAtCreate() {
        super.initConfigAtCreate()
        businessAfterTrialRes = arguments?.getSerializable(KEY_BUSINESS_DATA) as? BusinessAfterTrialRes
    }

    override fun fillUI() {
        super.fillUI()
        AnalyticHelper.getInstance().sendShowInfo("m1u8i", "j1u8g")
    }

    override fun initListener() {
        super.initListener()
        tv_expose_open_continue.setOnClickListener {
            IntentUtils.startLagouWebViewActivity(activity, businessAfterTrialRes?.jumpUrl)
            dismiss()

            AnalyticHelper.getInstance().sendClickInfo("m1u8i", "j1u8g")
        }
    }
}