package com.lagou.lagouee.ui.dialog.business

import android.os.Bundle
import com.alpha.lagouapk.R
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.commonlibs.ui.dialog.BaseBottomSheetDialogFragment
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.lagouee.bean.jsonbean.business.BusinessAfterTrialRes
import com.lagou.lagouee.utils.IntentUtils
import kotlinx.android.synthetic.main.dialog_expose_after_trial_unachieve.*

/**
 * @date： Crate by wangjunwei on 2023/6/19
 * @description：高简历小B促付费-强力曝光试用期结束未达成目标提示弹窗
 **/
class ExposeAfterTrialUnAchieveDialog : BaseBottomSheetDialogFragment() {

    private var businessAfterTrialRes: BusinessAfterTrialRes? = null

    companion object {
        private const val KEY_BUSINESS_DATA = "key_business_data"

        @JvmStatic
        fun getInstance(businessAfterTrialRes: BusinessAfterTrialRes?) : ExposeAfterTrialUnAchieveDialog{
            val bundle = Bundle()
            bundle.putSerializable(KEY_BUSINESS_DATA, businessAfterTrialRes)
            val exposeTryBeforeDialog = ExposeAfterTrialUnAchieveDialog()
            exposeTryBeforeDialog.arguments = bundle
            return exposeTryBeforeDialog
        }
    }

    override fun getLayoutId(): Int {
       return R.layout.dialog_expose_after_trial_unachieve
    }

    override fun initConfigAtCreate() {
        super.initConfigAtCreate()
        businessAfterTrialRes = arguments?.getSerializable(KEY_BUSINESS_DATA) as? BusinessAfterTrialRes
    }

    override fun fillUI() {
        super.fillUI()
        tv_left_data.text = ResourceUtils.getString(R.string.active_chat_low_recruiter, businessAfterTrialRes?.imCountRate, "%")
        tv_right_data.text = ResourceUtils.getString(R.string.salary_low_position, businessAfterTrialRes?.salaryPowerRate, "%")

        AnalyticHelper.getInstance().sendShowInfo("m1u8i","k1u8h")
    }

    override fun initListener() {
        super.initListener()
        tv_expose_open_continue.setOnClickListener {
            IntentUtils.startLagouWebViewActivity(activity, businessAfterTrialRes?.jumpUrl)
            dismiss()

            AnalyticHelper.getInstance().sendClickInfo("m1u8i","k1u8h")
        }
    }
}