package com.lagou.lagouee.ui.dialog.business

import android.os.Bundle
import com.alpha.lagouapk.R
import com.lagou.baselib.BaseActivity
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.commonlibs.ui.dialog.BaseBottomSheetDialogFragment
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.lagouee.bean.jsonbean.business.BusinessTryBeforeRes
import com.lagou.lagouee.manager.net.BusinessNetManager
import kotlinx.android.synthetic.main.dialog_business_try_before.*

/**
 * @date： Crate by wangjunwei on 2023/6/19
 * @description：高简历小B促付费-强力曝光试用提示弹窗
 **/
class ExposeTryBeforeDialog : BaseBottomSheetDialogFragment() {

    private var businessTryBeforeRes: BusinessTryBeforeRes? = null

    companion object {
        private const val KEY_BUSINESS_DATA = "key_business_data"

        @JvmStatic
        fun getInstance(businessTryBeforeRes: BusinessTryBeforeRes?) : ExposeTryBeforeDialog{
            val bundle = Bundle()
            bundle.putSerializable(KEY_BUSINESS_DATA, businessTryBeforeRes)
            val exposeTryBeforeDialog = ExposeTryBeforeDialog()
            exposeTryBeforeDialog.arguments = bundle
            return exposeTryBeforeDialog
        }
    }

    override fun getLayoutId(): Int {
       return R.layout.dialog_business_try_before
    }

    override fun initConfigAtCreate() {
        super.initConfigAtCreate()
        businessTryBeforeRes = arguments?.getSerializable(KEY_BUSINESS_DATA) as? BusinessTryBeforeRes
    }

    override fun fillUI() {
        super.fillUI()
        businessTryBeforeRes?.apply {
            tv_expose_title.text = ResourceUtils.getString(R.string.business_position_name, position?.positionName)
            tv_expose_time.text = ResourceUtils.getString(R.string.business_name_duration,
                giveInfo?.effectDays, giveInfo?.baseGoodsName)
        }
        AnalyticHelper.getInstance().sendShowInfo("m1u8i","i1u8f")
    }

    override fun initListener() {
        super.initListener()
        tv_expose_open.setOnClickListener {
            if (activity is BaseActivity){
                businessTryBeforeRes?.position?.apply {
                    //立即开启强力曝光
                    BusinessNetManager.requestGiveAndUse(businessTryBeforeRes,
                        positionId, activity as BaseActivity)
                }
            }
            dismiss()

            AnalyticHelper.getInstance().sendClickInfo("m1u8i", "i1u8f")
        }
    }
}