package com.lagou.lagouee.ui.dialog.business

import android.os.Bundle
import com.alpha.lagouapk.R
import com.lagou.commonlibs.ui.dialog.BaseBottomSheetDialogFragment
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.lagouee.bean.jsonbean.business.BusinessTryBeforeRes
import kotlinx.android.synthetic.main.dialog_business_try_success.*

/**
 * @date： Crate by wangjunwei on 2023/6/19
 * @description：高简历小B促付费-强力曝光试用成功提示弹窗
 **/
class ExposeTrySuccessDialog : BaseBottomSheetDialogFragment() {

    private var businessTryBeforeRes: BusinessTryBeforeRes? = null

    companion object {
        private const val KEY_BUSINESS_DATA = "key_business_data"

        @JvmStatic
        fun getInstance(businessTryBeforeRes: BusinessTryBeforeRes?) : ExposeTrySuccessDialog{
            val bundle = Bundle()
            bundle.putSerializable(KEY_BUSINESS_DATA, businessTryBeforeRes)
            val exposeTryBeforeDialog = ExposeTrySuccessDialog()
            exposeTryBeforeDialog.arguments = bundle
            return exposeTryBeforeDialog
        }

    }

    override fun getLayoutId(): Int {
       return R.layout.dialog_business_try_success
    }

    override fun initConfigAtCreate() {
        super.initConfigAtCreate()
        businessTryBeforeRes = arguments?.getSerializable(KEY_BUSINESS_DATA) as? BusinessTryBeforeRes
    }

    override fun fillUI() {
        super.fillUI()
        businessTryBeforeRes?.apply {
            tv_expose_title.text = ResourceUtils.getString(R.string.business_position_name, position?.positionName)
            tv_expose_time.text = ResourceUtils.getString(R.string.business_success_name_duration,
                giveInfo?.effectDays, giveInfo?.baseGoodsName)
        }
    }

    override fun initListener() {
        super.initListener()
        tv_expose_know.setOnClickListener {
            dismiss()
        }
    }
}