package com.lagou.lagouee.ui.position

import android.view.View
import com.alpha.lagouapk.R
import com.alpha.lagouapk.tools.CheckExitUtil
import com.common.utils.ViewUtils
import com.lagou.annotation.aspect.SingleClick
import com.lagou.baselib.BaseActivity
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.baselib.net.httpnetback.OnAdapterCommonListenerImpl
import com.lagou.commonlibs.utils.ActivityStackHelper
import com.lagou.commonlibs.utils.ToastUtil
import com.lagou.lagouee.bean.jsonbean.PositionInfo
import com.lagou.lagouee.bean.jsonbean.company.CompanyAddress
import com.lagou.lagouee.bean.jsonbean.position.ReleasePositionResponse
import com.lagou.lagouee.manager.net.AddressNetManager
import com.lagou.lagouee.manager.net.ReleasePositionNetManager
import com.lagou.lagouee.utils.DataServer
import com.lagou.lagouee.utils.IntentUtils
import com.lagou.socketchannel.http.HttpResponse
import com.lagou.socketchannel.util.GsonUtil
import kotlinx.android.synthetic.main.activity_position_migrate_main.*

class PositionMigrateActivity :BaseActivity(),View.OnClickListener{
    private var positionInfo:PositionInfo? = null
    override fun getContentLayoutId(): Int = R.layout.activity_position_migrate_main

    override fun init() {
        positionInfo = GsonUtil.fromJson(ReleasePositionNetManager.getUnAuthPositionInfo(),PositionInfo::class.java)
        ViewUtils.setViewsClick(this,tvSave,tvEditAndSave,tvCancel)
        setPositionInfo()
    }

    private fun setPositionInfo() {
        positionInfo?.let {
            tvPositionName.text = it.positionName
            tvPositionSalary.text = DataServer.getSalaryText(it.salary,it.salaryMonth)
            val labels:List<String?> = arrayListOf(it.companyAddress?.pd_city,it.workYear,it.education)
            flLabel.labels = labels
            tvAddress.text = it.companyAddress?.addressDescription
            tvAddress.visibility = if (tvAddress.text.isNullOrEmpty()) View.GONE else View.VISIBLE
        }
    }
    @SingleClick
    override fun onClick(v: View?) {
        when(v?.id){
            R.id.tvSave -> {
                AnalyticHelper.getInstance().sendClickInfo(pageId,"m1u99")
                tvSave.isEnabled = false
                //先去添加一条地址信息，否则调用发布职位失败
                val companyAddress:CompanyAddress? = positionInfo?.companyAddress
                companyAddress?.let {
                    AddressNetManager.addAddress(isCompany = false, isUpdate = false, companyAddress = companyAddress,
                        isFinishActivity = false, listener = object:OnAdapterCommonListenerImpl<CompanyAddress, HttpResponse<CompanyAddress>>(this){
                            override fun onSuccess(t: CompanyAddress?) {
                                super.onSuccess(t)
                                ReleasePositionNetManager.publicPosition(positionInfo,
                                    object: OnAdapterCommonListenerImpl<ReleasePositionResponse, HttpResponse<ReleasePositionResponse>>(this@PositionMigrateActivity){
                                        override fun onCallBack() {
                                            super.onCallBack()
                                            tvSave.isEnabled = true
                                        }

                                        override fun onError(errorBean: HttpResponse<ReleasePositionResponse>?) {
                                            ToastUtil.show(this@PositionMigrateActivity,"迁移失败，请重新发布")
                                            IntentUtils.startReleaseActivity(this@PositionMigrateActivity, true,true)
                                            ActivityStackHelper.clearAndFinishOtherActivity(ReleaseActivity::class.java)
                                        }

                                        override fun isShowToast() = false
                                    })
                            }

                            override fun onError(errorBean: HttpResponse<CompanyAddress>?) {
                                super.onError(errorBean)
                                ToastUtil.show(this@PositionMigrateActivity,"迁移失败，请重新发布")
                                IntentUtils.startReleaseActivity(this@PositionMigrateActivity, true,true)
                                ActivityStackHelper.clearAndFinishOtherActivity(ReleaseActivity::class.java)
                            }
                            override fun onCallBack() {
                                super.onCallBack()
                                tvSave.isEnabled = true
                            }
                            override fun isShowToast() = false
                        })
                }


            }
            R.id.tvEditAndSave ->{
                AnalyticHelper.getInstance().sendClickInfo(pageId,"n1u9a")
                IntentUtils.startReleaseActivity(this, true,true)
                ActivityStackHelper.clearAndFinishOtherActivity(ReleaseActivity::class.java)
            }
            R.id.tvCancel -> {
                AnalyticHelper.getInstance().sendClickInfo(pageId,"p1u9b")
                IntentUtils.startReleaseActivity(this, true,false)
                ActivityStackHelper.clearAndFinishOtherActivity(ReleaseActivity::class.java)
            }
        }
    }

    override fun onBackPressed() {
        CheckExitUtil.checkExit(this)
    }

    override fun getPageId() = "k1u98"
}