package com.lagou.lagouee.ui.position.dialog

import android.app.Activity
import android.os.Bundle
import com.alpha.lagouapk.R
import com.common.widget.drawable.CouponXfermodeDrawable
import com.google.android.material.bottomsheet.BottomSheetDialogFragment
import com.lagou.baselib.manager.DialogShowManager
import com.lagou.commonlibs.ui.dialog.BaseBottomSheetDialogFragment
import com.lagou.commonlibs.ui.dialog.BaseDialogFragment
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.commonlibs.utils.SafeTypeConvert
import com.lagou.lagouee.bean.jsonbean.business.CouponReceiveBean
import kotlinx.android.synthetic.main.dialog_compete_feedback_gift.linear_left
import kotlinx.android.synthetic.main.dialog_compete_feedback_gift.rel_right
import kotlinx.android.synthetic.main.dialog_compete_feedback_gift.tv_amount
import kotlinx.android.synthetic.main.dialog_compete_feedback_gift.tv_position
import kotlinx.android.synthetic.main.dialog_compete_feedback_gift.tv_type
import kotlinx.android.synthetic.main.dialog_compete_feedback_gift.tv_unit
import kotlinx.android.synthetic.main.dialog_compete_feedback_gift.tv_validity_time
import kotlinx.android.synthetic.main.dialog_refuse_compete_pay_feedback.image_close

/**
 * @date： Crate by wangjunwei on 2024/1/12
 * @description：提交完竞招反馈之后系统回馈l礼物
 **/
class CompeteFeedbackGiftDialog : BaseBottomSheetDialogFragment() {


    private var couponVoListBean: CouponReceiveBean.CouponVoListBean? = null

    override fun getLayoutId(): Int {
        return R.layout.dialog_compete_feedback_gift
    }

    companion object {
        private const val INTENT_KEY_BEAN = "intent_key_bean"

        @JvmStatic
        fun newInstance(couponVoListBean: CouponReceiveBean.CouponVoListBean?): CompeteFeedbackGiftDialog {
            val dialog = CompeteFeedbackGiftDialog()
            val bundle = Bundle()
            bundle.putSerializable(INTENT_KEY_BEAN, couponVoListBean)
            dialog.arguments = bundle
            return dialog
        }
    }

    override fun onAttach(activity: Activity) {
        super.onAttach(activity)
        val args = arguments
        if (args != null) {
            couponVoListBean =
                args.getSerializable(INTENT_KEY_BEAN) as? CouponReceiveBean.CouponVoListBean
        }
    }

    override fun initConfigAtCreateView() {
        super.initConfigAtCreateView()
//        if (!DialogShowManager.getInstance().checkShowNewDialogInActivity(activity, dialog)) {
//            dismiss()
//            return
//        }
//        dialog?.setCanceledOnTouchOutside(false)
//        isCancelable = false
    }


    override fun fillUI() {
        super.fillUI()
        //1 设置背景色
        var leftColor = SafeTypeConvert.toColor(couponVoListBean?.bgColor)
        val relColor = ResourceUtils.getColor(R.color.white)
        if (leftColor == -1){
            leftColor = ResourceUtils.getColor(R.color.color_f67618)
        }

        //2 优惠券内容
        couponVoListBean?.apply {
            linear_left.background = CouponXfermodeDrawable(leftColor, CouponXfermodeDrawable.XfermodeOrientation.RIGHT)
            rel_right.background = CouponXfermodeDrawable(relColor, CouponXfermodeDrawable.XfermodeOrientation.LEFT)

            couponVoListBean?.apply {
                tv_amount.text = showAmount
                tv_unit.text = unit
                tv_type.text = showMeetAmount()
                tv_position.text = couponName
                tv_validity_time.text = showUseEndDate
            }
        }
    }

    override fun initListener() {
        super.initListener()
        //1 关闭按钮
        image_close.setOnClickListener {
            dismiss()
        }
    }
}