package com.lagou.lagouee.ui.position.dialog

import android.os.Bundle
import android.view.Gravity
import android.view.ViewGroup
import android.widget.TextView
import butterknife.BindView
import com.alpha.lagouapk.R
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.commonlibs.ui.dialog.BaseDialogFragment
import com.lagou.lagouee.ui.business.PositionExposureActivity
import com.lagou.lagouee.utils.IntentUtils

/**
 * @date： Crate by wangjunwei on 2023/4/27
 * @description：发布职位成功页弹出引导购买强力曝光卡弹窗
 *              出现时机：每次新发职位
 *              优先级：高于批量邀约弹窗
 *
 **/
class PositionSuccessExposureDialog : BaseDialogFragment() {

    @BindView(R.id.tv_not_consider)
    lateinit var tvNotConsider: TextView
    @BindView(R.id.tv_right_use)
    lateinit var tvRightUse: TextView

    /**
     * 简招职位ID
     */
    private var mdsPositionId: Int? = 0

    private fun PositionExposureGuideDialog(){}

    companion object {
        fun getInstance(mdsPositionId: Int): PositionSuccessExposureDialog{
            val bundle = Bundle()
            bundle.putInt(PositionExposureActivity.KEY_POSITION_ID, mdsPositionId)
            val exposureGuideDialog = PositionSuccessExposureDialog()
            exposureGuideDialog.arguments = bundle
            return exposureGuideDialog
        }
    }

    override fun getLayoutId(): Int {
       return R.layout.dialog_expose_position_guide
    }

    override fun initConfigAtCreate() {
        mdsPositionId = arguments?.getInt(PositionExposureActivity.KEY_POSITION_ID)
    }

    override fun fillUI() {
        super.fillUI()
        AnalyticHelper.getInstance().sendShowInfo("b1u1p", "e1u7k")
    }

    override fun initConfigAtCreateView() {
        super.initConfigAtCreateView()
        //dialog?.setCanceledOnTouchOutside(false)
        //dialog?.setCancelable(false)
    }

    override fun initListener() {
        super.initListener()
        tvNotConsider?.setOnClickListener { dismiss() }
        tvRightUse?.setOnClickListener {
            //立即使用强力曝光卡
            mdsPositionId?.apply {
                IntentUtils.startPositionExposure(activity, this)
            }
            dismiss()
            AnalyticHelper.getInstance().sendClickInfo("b1u1p", "f1u7m")
        }
    }

    override fun getGravity(): Int {
        return Gravity.CENTER
    }

    override fun getWidth(): Int {
        return (0.8 * screenWidth).toInt()
    }

    override fun getHeight(): Int {
        return ViewGroup.LayoutParams.WRAP_CONTENT
    }
}