package com.lagou.lagouee.ui.resume.mail

import com.ApiService
import com.lagou.commonlibs.utils.RegexUtil
import com.common.utils.PageHelper
import com.lagou.baselib.net.httpnetback.BaseCallback
import com.lagou.commonlibs.utils.presenter.WeakPresenter
import com.lagou.lagouee.bean.ColleagueList
import com.lagou.lagouee.bean.MailItem
import com.lagou.socketchannel.http.HttpRequest
import com.lagou.socketchannel.http.HttpResponse

class MailSearchPresenter : WeakPresenter<MailSearchContract.View>(),
        MailSearchContract.Presenter {
    private var mPage: Int = 1

    override fun getSearchList(keyword: String, first: Boolean, label: Long) {
        if (first) {
            mPage = 1
        }

        ApiService.api.getColleagueList(keyword, mPage, PageHelper.COUNT_20).enqueue(object : BaseCallback<ColleagueList?>() {
            override fun onSuccess(request: HttpRequest<*>?, response: HttpResponse<ColleagueList?>?) {
                ifViewAttached {
                    val list = response?.content?.result ?: emptyList()
                    val itemList = ArrayList<MailItem>(list.size)
                    for (bean in list) {
                        if (bean != null) {
                            itemList.add(MailItem.transform(bean))
                        }
                    }
                    val hasNext = response?.content?.isHasNextPage ?: false
                    if (hasNext) {
                        mPage++
                    }
                    if (first && itemList.isEmpty()) {
                        if (RegexUtil.isEmail(keyword)) {
                            // 关键词是邮箱，添加关键词为邮箱item
                            val item = MailItem()
                            item.email = keyword
                            item.type = MailItem.SINGLE_MAIL
                            itemList.add(item)
                            it.showSearchList(itemList, keyword, first, hasNext, label)
                        } else {
                            // 关键词非邮箱，展示提示
                            it.showSearchTip(keyword, label)
                        }
                    } else {
                        it.showSearchList(itemList, keyword, first, hasNext, label)
                    }
                }
            }

            override fun onFailure(request: HttpRequest<*>?, response: HttpResponse<ColleagueList?>?) {
                super.onFailure(request, response)
                ifViewAttached {
                    it.showSearchListFailure(first, label)
                }
            }
        })
    }

}