package com.lagou.lagouee.ui.resume.mail

import com.lagou.lagouee.bean.MailItem

/**
 * 邮件转发契约
 *
 * @author yph
 * @date 2019/9/26
 */
interface MailShareContract {
    interface Presenter {

        /**
         * 最近使用/首页同事列表合并数据
         */
        fun getMergeList(loading: Boolean)

        /**
         * 同事列表更多数据
         */
        fun getMoreColleagueList()

        /**
         * 刷新最近使用
         */
        fun refreshRecentList()
    }


    interface View {
        fun showError()

        fun showLoading()

        fun hideLoading()

        /**
         * 展示列表
         *
         * @param first 是否是刷新
         * @param hasNext 是否还有更多
         */
        fun showLoadSuccess(first: Boolean, hasNext: Boolean, list: List<MailItem>)

        fun showLoadMoreFailure()

        fun updateRecentList(list: List<MailItem>)
    }
}
