package com.lagou.lagouee.ui.settled

import android.content.Context
import android.util.AttributeSet
import android.widget.FrameLayout
import android.widget.TextView
import com.alpha.lagouapk.R
import com.lagou.commonlibs.utils.ToastUtil
import kotlinx.android.synthetic.main.view_work_handover.view.*

class WorkHandOverView @JvmOverloads constructor(context: Context, attributeSet: AttributeSet? = null, defStyleAttr: Int = 0) : FrameLayout(context, attributeSet, defStyleAttr) {
   private var callback:(()->Unit)? = null
    init {
        inflate(context, R.layout.view_work_handover, this)
        li_work_handover.tvContent.setOnClickListener {
            callback?.invoke()
        }
    }

    fun setWorkHandOverDesc(desc:String){
        tv_work_handover_desc.text = desc
    }

    fun setWorkHandOverWorkmate(workmate:String?){
        li_work_handover.content = workmate
    }

    fun setCallback(callback:(()->Unit)?){
        this.callback = callback
    }

    fun getTvContent(): TextView = li_work_handover.tvContent

    fun setNumbs(onlinePositionNum: Int?, offlinePositionNum: Int?, resumeNum: Int?) {
        val onlineNum = onlinePositionNum ?: 0
        val offlineNum = offlinePositionNum ?: 0
        val resumeNum = resumeNum ?: 0
        tv_online_num.text = onlineNum.toString().plus("个")
        tv_offline_num.text = offlineNum.toString().plus("个")
        tv_resume_num.text = resumeNum.toString().plus("个")
    }
}