package com.lagou.lagouee.ui.settled.search

import android.content.Context
import androidx.core.content.ContextCompat
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.BaseAdapter
import android.widget.TextView
import com.alpha.lagouapk.R
import com.lagou.lagouee.ui.resume.mail.setHighlightText
import java.util.regex.Pattern

/**
 * 职位搜索适配器
 *
 * @author yph
 * @date 2019/10/30
 */

class PositionNameSearchAdapter(context: Context) : BaseAdapter() {
    private val mList = arrayListOf<String>()
    private val mInflater = LayoutInflater.from(context)
    private var mPattern: Pattern? = null
    private val mGreen: Int = ContextCompat.getColor(context, R.color.theme_text_color)

    fun refreshList(list: List<String>, keyword: String) {
        mPattern = Pattern.compile(keyword, Pattern.LITERAL or Pattern.CASE_INSENSITIVE)
        mList.clear()
        mList.addAll(list)
        notifyDataSetChanged()
    }

    override fun getView(position: Int, convertView: View?, parent: ViewGroup?): View {
        val holder: Holder
        val itemView: View
        if (convertView == null) {
            itemView = mInflater.inflate(R.layout.item_position_name_search, parent, false)
            holder = Holder(itemView.findViewById(R.id.tv_item_position_name_search))
            itemView.tag = holder
        } else {
            itemView = convertView
            holder = itemView.tag as Holder
        }
        holder.textView.setHighlightText(mList[position], mGreen, mPattern)
        return itemView
    }

    override fun getItem(position: Int): Any = mList[position]

    override fun getItemId(position: Int): Long = position.toLong()

    override fun getCount(): Int = mList.size

    internal class Holder(val textView: TextView)
}